﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demonstriert das kontrollierte Beenden eines Dialogs
    /// </summary>
    public partial class CdlgCheckedClose : Form
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CdlgCheckedClose
        /// </summary>
        public CdlgCheckedClose()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Behandlung des Ereignisses Formular schliessen.
        /// </summary>
        private void CdlgCheckedClose_FormClosing(object sender, FormClosingEventArgs e)
        {
            // Prüfen, ob das Beenden des Dialogs bereits angesteuert
            // wurde und wenn nicht Sicherheitsabfrage durchführen.
            if (DialogResult != DialogResult.OK && MessageBox.Show(
                "Wollen Sie das Dialogfeld verlassen und die Änderungen verlieren?",
                "Sicherheitsabfrage",
                MessageBoxButtons.YesNo,
                MessageBoxIcon.Question) != DialogResult.Yes)
            {
                // Abbrechen des Schliessvorgangs des Fensters.
                e.Cancel = true;
            }
        }

        /// <summary>
        /// Behandlung des Ereignisses Schaltfläche OK wurde betätigt.
        /// </summary>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            if (MessageBox.Show(
                "Wollen Sie die Aktion wirklich ausführen?",
                "Sicherheitsabfrage",
                MessageBoxButtons.YesNo,
                MessageBoxIcon.Question) == DialogResult.Yes)
            {
                // Daten bereitstellen
                // ...

                // Rückgabewert für die Methode ShowDialog() bereitstellen
                DialogResult = DialogResult.OK;
            }
        }

        /// <summary>
        /// Ereignisbehandlung für die vorausgehende Auswertung einer Taste.
        /// </summary>
        private void CdlgCheckedClose_KeyUp(object sender, KeyEventArgs e)
        {
            // Prüfe auf die Tastenkombination Alt-L
            if (e.KeyCode == Keys.L && e.Modifiers.HasFlag(Keys.Alt))
            {
                // Leere das Textfeld und bezeichne die Tastenkombination als behandelt
                _tbData.Text = string.Empty;
                e.Handled = true;
            }
        }
    }
}
