﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert das Ereignisargument für die nachrichtenfilterung.
    /// </summary>
    class CwlbMessageFilterEventArgs : EventArgs
    {
        /// <summary>
        /// Liefert die nachricht die gefiltert wird.
        /// </summary>
        public Message Message { get; private set; }

        /// <summary>
        /// Liefert das Steuerelement, das Ziel für die Nachricht ist.
        /// </summary>
        public Control Control { get; private set; }

        /// <summary>
        /// Instanziert eine neue Instanz der Klasse CwlbMessageFilterEventArgs.
        /// </summary>
        /// <param name="objMessage">Nachricht.</param>
        /// <param name="objControl">Steuerelement.</param>
        public CwlbMessageFilterEventArgs(Message objMessage, Control objControl)
        {
            Message = objMessage;
            Control = objControl;
        }
    }
}
