﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Implementiert das Hauptprogramm.
    /// </summary>
    static class Program
    {
        // Verzeichnisname im persönlichen Document-Folder
        private const string _strBaseDirectory = "HB_NET_2";
        // Definiert den Dateinamen für die Log datei
        private static string _strLogFileName = "LearningFormsLog.txt";

        /// <summary>
        /// Liefert den Namen der Logdatei
        /// </summary>
        public static string LogFileName
        {
            get 
            {
                return _strLogFileName;
            }
        }

        /// <summary>
        /// Einsprungpunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // Define Log file name
            _strLogFileName = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments), _strBaseDirectory, _strLogFileName);
            WriteLine("------- Start der Anwendung -------");

            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Application.ApplicationExit += new EventHandler(Application_ApplicationExit);
            Application.ThreadExit += new EventHandler(Application_ThreadExit);

            Application.Run(new CwlbMainWindow());
            WriteLine("------- Ende der Anwendung -------");
        }

        static void Application_ThreadExit(object sender, EventArgs e)
        {
            WriteLine("Thread exit");
        }

        static void Application_ApplicationExit(object sender, EventArgs e)
        {
            WriteLine("Application exit");
        }

        public static void WriteLine(string strLog)
        {
            File.AppendAllText(_strLogFileName, string.Format("{0} - {1}{2}", DateTime.Now.ToString("HH:mm:ss.fff"), strLog, Environment.NewLine));
        }
    }
}
