﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos des ComboBox-Steuerelements.
    /// </summary>
    public partial class CpnlCheckBox : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlCheckBox.
        /// </summary>
        public CpnlCheckBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für alle CpnlCheckBox-Steuerelemente mit normalem Stil.
        /// </summary>
        private void Normal_CheckedChanged(object sender, EventArgs e)
        {
            _pnlNormal.BackColor = Color.FromArgb(
                _chkNormalRed.Checked ? 255 : 0,
                _chkNormalGreen.Checked ? 255 : 0,
                _chkNormalBlue.Checked ? 255 : 0);
        }

        /// <summary>
        /// Ereignisbehandlung für alle CheckBox-Steuerelemente mit flachem Stil.
        /// </summary>
        private void Flat_CheckedChanged(object sender, EventArgs e)
        {
            _pnlFlat.BackColor = Color.FromArgb(
                _chkFlatRed.Checked ? 255 : 0,
                _chkFlatGreen.Checked ? 255 : 0,
                _chkFlatBlue.Checked ? 255 : 0);
        }

        /// <summary>
        /// Ereignisbehandlung für alle CheckBox-Steuerelemente mit normalem Stil und drei Zuständen.
        /// </summary>
        private void ThreeState_CheckedStateChanged(object sender, EventArgs e)
        {
            _pnlThreeState.BackColor = Color.FromArgb(
                _chkThreeStateRed.CheckState == CheckState.Unchecked ? 0 : _chkThreeStateRed.CheckState == CheckState.Indeterminate ? 125 : 255,
                _chkThreeStateGreen.CheckState == CheckState.Unchecked ? 0 : _chkThreeStateGreen.CheckState == CheckState.Indeterminate ? 128 : 255,
                _chkThreeStateBlue.CheckState == CheckState.Unchecked ? 0 : _chkThreeStateBlue.CheckState == CheckState.Indeterminate ? 128 : 255);
        }

        /// <summary>
        /// Ereignisbehandlung für alle CheckBox-Steuerelemente mit Stil als Schaltfläche.
        /// </summary>
        private void Button_CheckedChanged(object sender, EventArgs e)
        {
            _pnlButton.BackColor = Color.FromArgb(
                _chkButtonRed.Checked ? 255 : 0,
                _chkButtonGreen.Checked ? 255 : 0,
                _chkButtonBlue.Checked ? 255 : 0);
        }
    }
}
