﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Imaging;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos des DomainUpDown-Steuerelements.
    /// </summary>
    public partial class CpnlDomainUpDown : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlDomainUpDown.
        /// </summary>
        public CpnlDomainUpDown()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Formulars.
        /// </summary>
        private void CpnlDomainUpDown_Load(object sender, EventArgs e)
        {
            // Lokale Obejkte
            Random objRandom = new Random();

            // Initialisieren der Listen der Steuerelemente
            foreach (FieldInfo objField in typeof(ImageFormat).GetFields(BindingFlags.Static | BindingFlags.NonPublic))
            {
                _dudTextLeft.Items.Add(objField.Name);
                _dudTextCenter.Items.Add(objField.Name);
                _dudTextRight.Items.Add(objField.Name);
                _dudSelectionLeft.Items.Add(objField.Name);
                _dudReadOnly.Items.Add(objField.Name);
                _dudWrap.Items.Add(objField.Name);
            }

            // Zufällige Auswahl eines Werts aus der Liste
            _dudTextLeft.SelectedIndex = objRandom.Next(10);
            _dudTextCenter.SelectedIndex = objRandom.Next(10);
            _dudTextRight.SelectedIndex = objRandom.Next(10);
            _dudSelectionLeft.SelectedIndex = objRandom.Next(10);
            _dudReadOnly.SelectedIndex = objRandom.Next(10);
            _dudWrap.SelectedIndex = objRandom.Next(10);
        }
    }
}
