﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der RadioButton-Steuerelemente.
    /// </summary>
    public partial class CpnlRadioButton : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlRadioButton.
        /// </summary>
        public CpnlRadioButton()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für alle RadioButton-Steuerelemente mit normalem Stil.
        /// </summary>
        private void NormalStyle_CheckedChanged(object sender, EventArgs e)
        {
            if (sender == _rbNormalRed)
            {
                _pnlNormal.BackColor = Color.Red;
            }
            else if (sender == _rbNormalGreen)
            {
                _pnlNormal.BackColor = Color.Green;
            }
            else
            {
                _pnlNormal.BackColor = Color.Blue;
            }
        }

        /// <summary>
        /// Ereignisbehandlung für alle RadioButton-Steuerelemente mit flachem Stil.
        /// </summary>
        private void FlatStyle_CheckedChanged(object sender, EventArgs e)
        {
            if (sender == _rbFlatRed)
            {
                _pnlFlat.BackColor = Color.Red;
            }
            else if (sender == _rbFlatGreen)
            {
                _pnlFlat.BackColor = Color.Green;
            }
            else
            {
                _pnlFlat.BackColor = Color.Blue;
            }
        }

        /// <summary>
        /// Ereignisbehandlung für alle RadioButton-Steuerelemente Schaltflächen Stil.
        /// </summary>
        private void ButtonStyle_CheckedChanged(object sender, EventArgs e)
        {
            if (sender == _rbButtonRed)
            {
                _pnlButton.BackColor = Color.Red;
            }
            else if (sender == _rbButtonGreen)
            {
                _pnlButton.BackColor = Color.Green;
            }
            else
            {
                _pnlButton.BackColor = Color.Blue;
            }
        }

    }
}
