﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos des TrackBar-Steuerelements.
    /// </summary>
    public partial class CpnlTrackBar : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlTrackBar.
        /// </summary>
        public CpnlTrackBar()
        {
            InitializeComponent();

            // Erstellen der Bindungen für die Beschriftung des Werts des jeweiligen TrackBar-Steuerelements
            _lblValueAlpha.DataBindings.Add("Text", new BindingSource().DataSource = _trkAlpha, "Value");
            _lblValueRed.DataBindings.Add("Text", new BindingSource().DataSource = _trkRed, "Value");
            _lblValueGreen.DataBindings.Add("Text", new BindingSource().DataSource = _trkGreen, "Value");
            _lblValueBlue.DataBindings.Add("Text", new BindingSource().DataSource = _trkBlue, "Value");

            // Alphawert einschalten, dass eine Farbe gesehen wird
            _trkAlpha.Value = 255;
        }

        /// <summary>
        /// Ereignsbehandlung für das Ladend es Formulars.
        /// </summary>
        private void TrackBar_Scroll(object sender, EventArgs e)
        {
            _pnlColor.BackColor = Color.FromArgb(
                _trkAlpha.Value,
                _trkRed.Value,
                _trkGreen.Value,
                _trkBlue.Value);
        }
    }
}
