﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der ErrorProvider-Steuerelemente.
    /// </summary>
    public partial class CpnlErrorProvider : UserControl
    {
        /// <summary>
        /// Initialisiert ein neue Instanz der Klasse CpnlErrorProvider.
        /// </summary>
        public CpnlErrorProvider()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Formulars.
        /// </summary>
        private void CpnlErrorProvider_Load(object sender, EventArgs e)
        {
            _errorProvider.SetIconAlignment(_tbData, ErrorIconAlignment.MiddleLeft);
        }

        /// <summary>
        /// Ereignisbehandlung wenn die EIngabe verändert wurde.
        /// </summary>
        private void Data_TextChanged(object sender, EventArgs e)
        {
            int iValue;
            if (!int.TryParse(_tbData.Text, out iValue) || iValue < 1000 || iValue >= 2000)
            {
                _errorProvider.SetError(_tbData, "Bitte einen Wert zwischen 1000 und 2000 eingeben");
            }
            else
            {
                _errorProvider.SetError(_tbData, string.Empty);
            }
        }
    }
}
