﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der NotifyIcon-Steuerelemente.
    /// </summary>
    public partial class CpnlNotifyIcon : UserControl
    {
        /// <summary>
        /// Initialisiert ein neue Instanz der Klasse CpnlNotifyIcon.
        /// </summary>
        public CpnlNotifyIcon()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        private void CpnlNotifyIcon_Load(object sender, EventArgs e)
        {
            // Staret der Demo notifizieren
            _notifyIcon.BalloonTipText = "Die Demo für das NotifyIcon-Steuerelement wurde gestartet.";
            _notifyIcon.ShowBalloonTip(3000);
        }

        /// <summary>
        /// Ereignisbehandlung beim Verändern der Grösse des Steuerelement-Grundfensters.
        /// </summary>
        private void CpnlNotifyIcon_SizeChanged(object sender, EventArgs e)
        {
            _panelDemo.Location = new Point(ClientSize.Width / 2 - 45, ClientSize.Height / 4 * 3);
            _panelUserDefined.Location = new Point(ClientSize.Width / 2 + 5, ClientSize.Height / 4 * 3);
        }

        /// <summary>
        /// Ereignisbehandlung beim Anwenden des Menübefehls 'Beenden'.
        /// </summary>
        private void ContextMenuExit_Click(object sender, EventArgs e)
        {
            // Rückfrage ob tatsächlich beendet werden soll
            if (MessageBox.Show("Möchten Sie die Anwendung Learning Forms 04 beenden?", CwlbMainWindow.TITLE, MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
            {
                CwlbMainWindow.MainForm.Close();
            }
        }

        /// <summary>
        /// Ereignisbehandlung beim Anwenden des Menübefehls 'Info'.
        /// </summary>
        private void ContextMenüInfo_Click(object sender, EventArgs e)
        {
            CdlgInfo dlgInfo = new CdlgInfo();
            dlgInfo.ShowDialog(CwlbMainWindow.MainForm);
        }

        /// <summary>
        /// Ereignisbehandlung für Doppelklick auf die Standarddemofläche. 
        /// </summary>
        private void PanelDemo_DoubleClick(object sender, EventArgs e)
        {
            string strText = _notifyIcon.BalloonTipText;
            _notifyIcon.BalloonTipText = "Sie haben in der Demo auf die Fläche geklickt.";
            _notifyIcon.ShowBalloonTip(3000);
            _notifyIcon.BalloonTipText = strText;
        }

        /// <summary>
        /// Ereignisbehandlung für den einfachen Klick auf die Grundfläche.
        /// </summary>
        private void CpnlNotifyIcon_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(_notifyIcon);
        }

        /// <summary>
        /// Ereignisbehandlung für den Doppelklick auf die benutzerdefinierte Demofläche.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void PanelUserDefined_DoubleClick(object sender, EventArgs e)
        {
            _notifyIcon.ShowBalloonTip(3000);
        }
    }
}
