﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der StatusStrip-Steuerelemente.
    /// </summary>
    public partial class CpnlStatusStrip : UserControl
    {
        /// <summary>
        /// Initialisiert ein neue Instanz der Klasse CpnlStatusStrip.
        /// </summary>
        public CpnlStatusStrip()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung bei Ablauf des eingestellten Zeitintervalls des Timers.
        /// </summary>
        private void TimerStatus_Tick(object sender, EventArgs e)
        {
            // Prüfen der CAPS-Taste und Anzeige entsprechend schalten
            if (Console.CapsLock)
            {
                _statusCaps.Text = "CAPS";
            }
            else
            {
                _statusCaps.Text = string.Empty;
            }

            // Zeit anzeigen
            _statusTime.Text = DateTime.Now.ToLongTimeString();
        }

        /// <summary>
        /// Ereignisbehandlung beim Klicken eines Elements der Statusleiste.
        /// </summary>
        private void statusStrip1_ItemClicked(object sender, ToolStripItemClickedEventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(e.ClickedItem);
        }
    }
}
