﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.ComponentModel.Design;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos des ByteViewer-Steuerelements.
    /// </summary>
    public partial class CpnlByteViewer : UserControl
    {
        // ByteViewer-Steuerelement
        private System.ComponentModel.Design.ByteViewer _byteViewer;

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlByteViewer.
        /// </summary>
        public CpnlByteViewer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Laden des Elements.
        /// </summary>
        private void CpnlByteViewer_Load(object sender, EventArgs e)
        {
            // ByteViewer-Steuerelement instnziieren
            _byteViewer = new System.ComponentModel.Design.ByteViewer();

            // In das panel einhängen und konfigurieren
            _pnlByteViewer.Controls.Add(_byteViewer);
            _byteViewer.Dock = DockStyle.Fill;
            // Ein leeres Array definieren zur vorläufigen Anzeige
            _byteViewer.SetBytes(new byte[] { });
            _byteViewer.Font = new Font("Courier New", 12.0f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point);
            // Modus vorwählen
            _cbMode.SelectedItem = "Hex";
        }

        /// <summary>
        /// Ereignisbehandlung beim Betätigen der Schaltfläche Anzeigen.
        /// </summary>
        private void ButtonLoad_Click(object sender, EventArgs e)
        {
            // Nichts tun, wenn die Datei nicht exisitiert
            if (!File.Exists(_tbFile.Text))
            {
                MessageBox.Show(
                    "Die definierte Datei wurde nicht gefunden.", CwlbMainWindow.TITLE,
                    MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            // Datei anzeigen
            _byteViewer.SetFile(_tbFile.Text);
        }

        /// <summary>
        /// Ereignisbehandlung für die Änderung des Anzeigemodus.
        /// </summary>
        private void _cbMode_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (_cbMode.SelectedItem.ToString())
            {
                case "ANSI":
                    _byteViewer.SetDisplayMode(DisplayMode.Ansi);
                    break;
                case "Hex":
                    _byteViewer.SetDisplayMode(DisplayMode.Hexdump);
                    break;
                case "Unicode":
                    _byteViewer.SetDisplayMode(DisplayMode.Unicode);
                    break;
                default:
                    _byteViewer.SetDisplayMode(DisplayMode.Auto);
                    break;
            }
        }
    }
}
