﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos der Shape-Steuerelemente.
    /// </summary>
    public partial class CpnlShape : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlShape.
        /// </summary>
        public CpnlShape()
        {
            InitializeComponent();

            // Shape-Steuerelemente mit dem Container verbinden.
            _shapeRectangle.Parent = shapeContainer;
            _shapeLine.Parent = shapeContainer;
            _shapeOval.Parent = shapeContainer;
        }

        /// <summary>
        /// Ereignisbehandlung beim Klicken auf die Grundfäche.
        /// </summary>
        private void BaseArea_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(shapeContainer);
        }

        /// <summary>
        /// Ereignisbehandlung beim Klicken auf die Linie.
        /// </summary>
        private void ShapeLine_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(_shapeLine);
        }

        /// <summary>
        /// Ereignisbehandlung beim Klicken auf das Rechteck.
        /// </summary>
        private void ShapeRectangle_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(_shapeRectangle);
        }

        /// <summary>
        /// Ereignisbehandlung beim Klicken auf das Oval.
        /// </summary>
        private void ShapeOval_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(_shapeOval);
        }

    }
}
