﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Funktionalität des Dialogfeldes für die Demos des Timer-Steuerelements.
    /// </summary>
    public partial class CpnlTimer : UserControl
    {
        /// <summary>
        /// Initialisiert eine Instanz der Klasse CpnlTimer.
        /// </summary>
        public CpnlTimer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für die Veränderung der Grösse der Grundfläche.
        /// </summary>
        private void CpnlTimer_SizeChanged(object sender, EventArgs e)
        {
            _lblTime.Location = new Point((ClientRectangle.Width - _lblTime.Width) / 2, _lblTime.Location.Y);
        }

        /// <summary>
        /// Ereignisbehandlung für die Aktivierung des Timer-Steuerelements im Eigenschaftseditor.
        /// </summary>
        private void CpnlTimer_Click(object sender, EventArgs e)
        {
            CwlbMainWindow.MainForm.SetPropertyControl(_timerMain);
        }

        /// <summary>
        /// Ereignisbehandlung für das Ablaufen des Timerintervalls.
        /// </summary>
        private void Timer_Tick(object sender, EventArgs e)
        {
            _lblTime.Text = DateTime.Now.ToString("HH:mm:ss.f");
        }
    }
}
