using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Net;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Design;

namespace WeroSoft.Samples
{

    /// <summary>
    /// Dialog fr die Einbindung eines PropertyGrid-Editors.
    /// </summary>
    public partial class CdlgPropertyGridEditorIpAddress : Form
    {
        /// <summary>
        /// Notwendige Verbindung fr die Ansteuerung aus dem Property Grid.
        /// </summary>
        public IWindowsFormsEditorService WindowsFormsEditorService { get; set; }

        /// <summary>
        /// Instanzier eine neue Instanz der Klasse CdlgPropertyGridEdit.
        /// </summary>
        public CdlgPropertyGridEditorIpAddress()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbhandlung fr die Bettigung der Schaltflche Auflsen.
        /// </summary>
        private void _btnResolve_Click(object sender, EventArgs e)
        {
            try
            {
                // IP ber DNS auflsen
                IPHostEntry objIP = Dns.GetHostEntry(_tbName.Text);
                _tbIPAddress.Text = objIP.AddressList[0].ToString();
            }
            catch (Exception exc)
            {
                MessageBox.Show(exc.Message, "Fehler",
                    MessageBoxButtons.OK,
                    MessageBoxIcon.Error);
            }
        }
    }
}