﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Stellt ein Info Dialogfeld dar.
    /// </summary>
    public partial class CdlgInfo : Form
    {
        /// <summary>
        /// erlaubt die Zwischenspeicherung des Cursors.
        /// </summary>
        public Cursor OldCursor { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CdlgInfo.
        /// </summary>
        public CdlgInfo()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Behandlung des Ereignisses Laden des Fensters.
        /// </summary>
        private void CdlgInfo_Load(object sender, EventArgs e)
        {
            _lblSampleTitle.Text = string.Format("{0} {1}", _lblSampleTitle.Text, this.ProductName);
            _lblVersion.Text = string.Format("{0} {1}", _lblVersion.Text, this.ProductVersion);
        }

        /// <summary>
        /// Ereignisbehanldung für Click auf das Logo
        /// </summary>
        private void Logo_Click(object sender, EventArgs e)
        {
            Process.Start("http://www.weroSoft.net");
        }

        /// <summary>
        /// Ereignisbehanldung für Maus ist im Logo.
        /// </summary>
        private void Logo_MouseEnter(object sender, EventArgs e)
        {
            OldCursor = Cursor;
            Cursor = Cursors.Hand;
        }

        /// <summary>
        /// Ereignisbehanldung für Maus verlässt Logo
        /// </summary>
        private void Logo_MouseLeave(object sender, EventArgs e)
        {
            Cursor = OldCursor;
        }
    }
}
