using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;

namespace WeroSoft.Samples {

    /// <summary>
    /// Geometrische Linienfigur
    /// </summary>
    public abstract class CwlbClosedShape : CwlbDualPointShape {

        // Linienfarbe
        protected Color _colLine = Color.Black;
        // Linienfarbe
        protected Color _colArea = Color.White;
        // Liniendicke
        protected int _iLineWidth = 1;
        // Linientyp
        protected DashStyle _enmDashStyle = DashStyle.Solid;
        // Fllfarbe
        protected bool _bFill = false;

        /// <summary>
        /// Liefert oder definiert die Linienfarbe
        /// </summary>
        [DisplayName("Linienfarbe")]
        [Category("Aussehen")]
        public Color LineColor {
            get {
                return _colLine;
            }
            set {
                _colLine = value;
            }
        }

        /// <summary>
        /// Liefert oder definiert die Flchenfarbe
        /// </summary>
        [DisplayName("Flchenfarbe")]
        [Category("Aussehen")]
        public Color AreaColor {
            get {
                return _colArea;
            }
            set {
                _colArea = value;
            }
        }

        /// <summary>
        /// Liefert oder definiert wahr, wenn es sich um eine gefllte Figur handelt
        /// </summary>
        [DisplayName("Flche fllen")]
        [Category("Aussehen")]
        public bool Fill {
            get {
                return _bFill;
            }
            set {
                _bFill = value;
            }
        }
    }
}
