using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;

namespace WeroSoft.Samples
{

    public sealed class CwlDataModel
    {

        // Liste der Figuren
        private List<CwlbShape> _aobjFigures = new List<CwlbShape>();
        // Liste der selektierten Figuren
        private List<CwlbShape> _aobjSelectedFigures = new List<CwlbShape>();

        /// <summary>
        /// Liefert die Liste der Figuren
        /// </summary>
        public List<CwlbShape> Figures
        {
            get
            {
                return _aobjFigures;
            }
        }

        /// <summary>
        /// Liefert die Liste der selektierten Figuren
        /// </summary>
        public List<CwlbShape> SelectedFigures
        {
            get
            {
                return _aobjSelectedFigures;
            }
        }

        /// <summary>
        /// Fge eine Figur zur Liste hinzu
        /// </summary>
        /// <param name="objFigure">Figur, die ergnzt werden soll.</param>
        public void AddFigure(CwlbShape objFigure)
        {

            // Fge Figur zur Liste hinzu
            if (objFigure != null)
            {
                _aobjFigures.Add(objFigure);
            }
        }

        /// <summary>
        /// Lscht alle Elemente aus der Selektionsliste
        /// </summary>
        public void DeselectAll()
        {
            _aobjSelectedFigures.Clear();
        }

        /// <summary>
        /// Selektiert eine Figur in die Selektionsliste
        /// </summary>
        /// <param name="ptHitTest"></param>
        public void Select(Point ptHitTest)
        {

            // Suche die erste Figur auf den Punkt passend
            int iCount = _aobjFigures.Count - 1;
            while (iCount >= 0)
            {

                if (_aobjFigures[iCount].Select(ptHitTest))
                {
                    // ergnze Figur in die Selektionsliste
                    _aobjSelectedFigures.Add(_aobjFigures[iCount]);
                    // beende Suche
                    return;
                }

                // decrement
                iCount--;
            }
        }
    }
}
