using System;
using System.Collections.Generic;
using System.Drawing;
using System.Text;

namespace WeroSoft.Samples
{
    public abstract class CwlbShape
    {

        // Pen fr die Markierung
        private static Pen _penMarker = new Pen(Color.Red, 2);

        /// <summary>
        /// Zeichnet eine Figur
        /// </summary>
        /// <param name="objGraphics">Grphics Objekt</param>
        /// <param name="bMarked">Flag, zur kennzeichnung der Markierung</param>
        public abstract void Draw(Graphics objGraphics, bool bMarked);

        /// <summary>
        /// Prft ob eine Figur Selektiert werden kann
        /// </summary>
        /// <param name="ptHitTest">Selektionspunkt</param>
        /// <returns>Wahr, wenn die Figur betroffen ist.</returns>
        public abstract bool Select(Point ptHitTest);

        /// <summary>
        /// Zeichnet die Markierungspunkte
        /// </summary>
        /// <param name="objGraphics">Grphics Objekt</param>
        public abstract void ShowMarker(Graphics objGraphics);

        public abstract bool IsMarker(Point ptMove);

        /// <summary>
        /// Zeichnet einen Markierpunkt
        /// </summary>
        /// <param name="objGraphics">Grphics Objekt</param>
        /// <param name="pt">Punkt der markiert werden soll.</param>
        public void DrawMarker(Graphics objGraphics, Point pt)
        {

            // Berechne Punkt fr Marker
            Rectangle rectMarker = new Rectangle(pt.X - 3, pt.Y - 3, 6, 6);
            // Zeichne Marker
            objGraphics.DrawRectangle(_penMarker, rectMarker);
        }

    }
}
