﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert Daten für Drag und Drop Operationen
    /// </summary>
    [Serializable]
    class CwlbClipboardHelper
    {
        /// <summary>
        /// Liefert oder definiert den Titel der Information
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Liefert oder definiert den Zeitpunkt der letzten Drag&Drop-Operation.
        /// </summary>
        public DateTime Created { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbClipboardHelper.
        /// </summary>
        public CwlbClipboardHelper()
        {
            Title = "Daten für die Demonstration der Zwischenablage";
            Created = DateTime.Now;
        }

        /// <summary>
        /// Uberschreibung der Methode ToString für die Umwandlung der Daten in einen Text.
        /// </summary>
        /// <returns>Inhalt der Daten.</returns>
        public override string ToString()
        {
            return string.Format("{0}, Erstellt um: {1}", Title, Created.ToString());
        }
    }
}
