﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert Daten für Drag und Drop Operationen
    /// </summary>
    class CwlbDragDropHelper
    {
        /// <summary>
        /// Liefert oder definiert den Titel der Information
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Liefert oder definiert die Anzahl Drag&Drop-Operationen.
        /// </summary>
        public int AmountDrops { get; set; }

        /// <summary>
        /// Liefert oder definiert den Zeitpunkt der letzten Drag&Drop-Operation.
        /// </summary>
        public DateTime LastDrop { get; set; }

        /// <summary>
        /// Uberschreibung der Methode ToString für die Umwandlung der Daten in einen Text.
        /// </summary>
        /// <returns>Inhalt der Daten.</returns>
        public override string ToString()
        {
            return string.Format("{0}, {1}, {2}", Title, AmountDrops, LastDrop.ToString());
        }
    }
}
