﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für die CdlgDemoDependencyProperty.xaml
    /// </summary>
    public partial class CDlgDemoDependencyProperty : Window
    {
        /// <summary>
        /// Initialisiert eine neune Instanz der Klasse CDlgDemoDependencyProperty.
        /// </summary>
        public CDlgDemoDependencyProperty()
        {
            InitializeComponent();

            // Imperatives definieren der abhängigen Eigenschaften
            Grid.SetRow(_btnDependent3, 1);
            Grid.SetColumn(_btnDependent3, 2);
        }

        /// <summary>
        /// Ereignisbehandlung für die Schaltflächen der ersten Zeile.
        /// </summary>
        private void ButtonRow1_Click(object sender, RoutedEventArgs e)
        {
            string[] astrData = ((string)((Button)sender).CommandParameter).Split(';');
            this.FontSize = Convert.ToDouble(astrData[0]);
            this.FontFamily = new FontFamily(astrData[1]);
        }

        /// <summary>
        /// Ereignisbehandlung für die erste Schaltfläche der zweiten Zeile.
        /// </summary>
        private void ButtonRow2_Click(object sender, RoutedEventArgs e)
        {
            string[] astrData = ((string)((Button)sender).CommandParameter).Split(';');
            ((Button)sender).FontSize = Convert.ToDouble(astrData[0]);
            ((Button)sender).FontFamily = new FontFamily(astrData[1]);
        }

        /// <summary>
        /// Ereignisbehandlung für die Schaltfläche zum Zurücksetzen der Einstellungen.
        /// </summary>
        private void Reset_Click(object sender, RoutedEventArgs e)
        {
            this.ClearValue(Window.BackgroundProperty);
            //this.ClearValue(Window.FontFamilyProperty);
            this.ClearValue(Window.FontSizeProperty);
            _btnDependent1.ClearValue(Window.FontSizeProperty);
            _btnDependent1.ClearValue(Window.FontFamilyProperty);
            _btnDependent2.ClearValue(Window.FontSizeProperty);
            _btnDependent2.ClearValue(Window.FontFamilyProperty);
            _btnDependent3.ClearValue(Window.FontSizeProperty);
            _btnDependent3.ClearValue(Window.FontFamilyProperty);

            // Alternative Schreibweise für die Zurücksetzung einer Abhängigkeitseigenschaft
            FontFamily = (FontFamily)Window.FontFamilyProperty.DefaultMetadata.DefaultValue;
        }

        /// <summary>
        /// Ereignisbehandlung für die Schaltflächen der Farbeinstellung.
        /// </summary>
        private void ButtonColor_Click(object sender, RoutedEventArgs e)
        {
            this.Background = new SolidColorBrush((Color)ColorConverter.ConvertFromString((string)((Button)sender).CommandParameter));
        }
    }
}
