﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for CpnlCheckBox.xaml
    /// </summary>
    public partial class CpnlCheckBox : UserControl
    {
        public CpnlCheckBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für die Einstellung der Farbe von normalen Elementen.
        /// </summary>
        private void NormalCheckBox_Clicked(object sender, RoutedEventArgs e)
        {
            _rectNormal.Fill = new SolidColorBrush(Color.FromRgb(
                (byte)(_chkNormalRed.IsChecked.GetValueOrDefault() ? 255 : 0),
                (byte)(_chkNormalGreen.IsChecked.GetValueOrDefault() ? 255 : 0),
                (byte)(_chkNormalBlue.IsChecked.GetValueOrDefault() ? 255 : 0)));
        }

        /// <summary>
        /// Ereignisbehandlung für die Einstellung der Farbe von Elementen mit einer ThreeState-Einstellung.
        /// </summary>
        private void ThreeStateCheckBox_Clicked(object sender, RoutedEventArgs e)
        {
            _rectThreeState.Fill = new SolidColorBrush(Color.FromRgb(
                (byte)(_chkThreeStateRed.IsChecked == false ? 0 : _chkThreeStateRed.IsChecked == null ? 125 : 255),
                (byte)(_chkThreeStateGreen.IsChecked == false ? 0 : _chkThreeStateGreen.IsChecked == null ? 128 : 255),
                (byte)(_chkThreeStateBlue.IsChecked == false ? 0 : _chkThreeStateBlue.IsChecked == null ? 128 : 255)));
        }

        /// <summary>
        /// Ereignisbehandlung für die Einstellung der Farbe mit Hilfe eines ToggleButton-Steuerelements
        /// </summary>
        private void ToggleButton_Clicked(object sender, RoutedEventArgs e)
        {
            _rectToggleButton.Fill = new SolidColorBrush(Color.FromRgb(
                (byte)(_btnRed.IsChecked.GetValueOrDefault() ? 255 : 0),
                (byte)(_btnGreen.IsChecked.GetValueOrDefault() ? 255 : 0),
                (byte)(_btnBlue.IsChecked.GetValueOrDefault() ? 255 : 0)));
        }
    }
}
