﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for CpnlListBox.xaml
    /// </summary>
    public partial class CpnlListBox : UserControl
    {
        /// <summary>
        /// Definiert eine Liste mit allen verfügbaren Systemfarben.
        /// </summary>
        public ObservableCollection<CwlbColorItem> SystemColors { get; private set; }

        /// <summary>
        /// Definiert eine Liste mit allen verfügbaren Farben.
        /// </summary>
        public ObservableCollection<CwlbColorItem> Colors { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlListBox.
        /// </summary>
        public CpnlListBox()
        {
            // Erstelle die Liste der Farbelemente
            SystemColors = new ObservableCollection<CwlbColorItem>();
            Colors = new ObservableCollection<CwlbColorItem>();

            // Aufruf der generierten Initialisierung
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehanldung beim Laden des Steuerelements.
        /// </summary>
        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            // Zusammenstellen des Inhalts der Systemfarben
            foreach (PropertyInfo infoProperty in typeof(SystemColors).GetProperties())
            {
                if (infoProperty.Name.EndsWith("Brush"))
                {
                    SystemColors.Add(new CwlbColorItem
                    {
                        Brush = (Brush)infoProperty.GetValue(null, null),
                        Name = infoProperty.Name
                    });
                }
            }

            // Zusammenstellen des Inhalts der normalen Farben
            foreach (PropertyInfo infoProperty in typeof(Brushes).GetProperties())
            {
                Colors.Add(new CwlbColorItem
                {
                    Brush = (Brush)infoProperty.GetValue(null, null),
                    Name = infoProperty.Name
                });
            }
        }
    }
}
