﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace WeroSoft.Samples._10_SimpleControls
{
    /// <summary>
    /// Interaction logic for CpnlProgressBar.xaml
    /// </summary>
    public partial class CpnlProgressBar : UserControl
    {
        // Instanzdaten
        private DispatcherTimer _timerProgress = new DispatcherTimer();
        private int _iValue;
        private bool _bIncrement = true;

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlProgressBar.
        /// </summary>
        public CpnlProgressBar()
        {
            InitializeComponent();

            _timerProgress.Interval = TimeSpan.FromMilliseconds(250);
            _timerProgress.Tick += new EventHandler(TimerProgress_Tick);
            _timerProgress.Start();
        }

        /// <summary>
        /// Ereignisbehandlung für den internen Timer zum Nachführen der ProgressBar-Steuerelemente.
        /// </summary>
        void  TimerProgress_Tick(object sender, EventArgs e)
        {
            _pgrVertical.Value = _iValue;
            _pgrHorizontal.Value = _iValue;
            if (_bIncrement)
            {
                _iValue++;
            }
            else
            {
                _iValue--;
            }

            if (_iValue > 100)
            {
                _iValue = 100;
                _bIncrement = false;
            }
            else if ( _iValue < 0)
            {
                _iValue = 0;
                _bIncrement = true;
            }
        }
    }
}
