﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaction logic for CpnlDataGrid.xaml
    /// </summary>
    public partial class CpnlDataGrid : UserControl
    {
        /// <summary>
        /// Liefert die Datenliste
        /// </summary>
        public ObservableCollection<CwlbPerson> Persons { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlDataGrid.
        /// </summary>
        public CpnlDataGrid()
        {
            // Erstellen der leeren Datenliste
            Persons = new ObservableCollection<CwlbPerson>();
            // Generierter Code initialisieren
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung der Initialiserung der Demo.
        /// </summary>
        private void UserControl_Initialized(object sender, EventArgs e)
        {
            Persons.Add(new CwlbPerson
            {
                ID = "001",
                FirstName = "Peter",
                LastName = "Blumiger",
                Birthdate = new DateTime(1980, 5, 6),
                ContactType = 0,
                Email = "peter.blumiger@domainxy.com",
                NewsLetter = true
            });
            Persons.Add(new CwlbPerson
            {
                ID = "002",
                FirstName = "Susanna",
                LastName = "Holle",
                Birthdate = new DateTime(1960, 2, 12),
                ContactType = 2,
                Email = "frau.holle@domainxy.com",
                NewsLetter = false
            });
            Persons.Add(new CwlbPerson
            {
                ID = "003",
                FirstName = "Agate",
                LastName = "Androma",
                Birthdate = new DateTime(1982, 7, 23),
                ContactType = 1,
                Email = "Agate.Androma@domainxy.com",
                NewsLetter = true
            });
            Persons.Add(new CwlbPerson
            {
                ID = "004",
                FirstName = "Rolf",
                LastName = "Wenger",
                Birthdate = new DateTime(1960, 10, 1),
                ContactType = 1,
                Email = "rolf.wenger@weroSoft.net",
                NewsLetter = false
            });
            Persons.Add(new CwlbPerson
            {
                ID = "005",
                FirstName = "Gustav",
                LastName = "Gans",
                Birthdate = new DateTime(1956, 4, 2),
                ContactType = 1,
                Email = "gustav.gans@domainxy.com",
                NewsLetter = true
            });
            Persons.Add(new CwlbPerson
            {
                ID = "006",
                FirstName = "Daniel",
                LastName = "Düsentrieb",
                Birthdate = new DateTime(1948, 12, 8),
                ContactType = 1,
                Email = "daniel.duesentrieb@domainxy.com",
                NewsLetter = true
            });
            Persons.Add(new CwlbPerson
            {
                ID = "007",
                FirstName = "Lotte",
                LastName = "Glück",
                Birthdate = new DateTime(1966, 6, 6),
                ContactType = 1,
                Email = "Lotte.Glueck@domainxy.com",
                NewsLetter = true
            });
        }

        /// <summary>
        /// Ereignisbehandlung für den Doppelklick im DataGrid.
        /// </summary>
        private void DataGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (_dgrDemo.SelectedItems.Count == 1)
            {
                CwlbPerson objPerson = _dgrDemo.CurrentItem as CwlbPerson;
                MessageBox.Show(objPerson.ToString());
            }
        }
    }
}
