﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.Windows.Xps.Packaging;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CpnlDocumentViewer.xaml
    /// </summary>
    public partial class CpnlDocumentViewer : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlDocumentViewer
        /// </summary>
        public CpnlDocumentViewer()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das laden einer XPS-Datei.
        /// </summary>
        private void ButtonBrowse_Click(object sender, RoutedEventArgs e)
        {
            // Instanziieren und Initialisieren des OpenFile-Dialogfeldes
            OpenFileDialog dlgOpen = new OpenFileDialog();
            dlgOpen.Filter = "XPS Document|*.xps";
            dlgOpen.FilterIndex = 1;

            // Anzeigen und Verarbeiten der Eingabe wenn mit OK abgeschlossen
            if (dlgOpen.ShowDialog().GetValueOrDefault())
            {
                _tbFileName.Text = dlgOpen.FileName;
                using (XpsDocument objDocument = new XpsDocument(dlgOpen.FileName, System.IO.FileAccess.Read))
                {
                    _docViewer.Document = objDocument.GetFixedDocumentSequence();
                }
            }
        }
    }
}
