﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;
using System.Collections.ObjectModel;
using Forms = System.Windows.Forms;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CpnlListView.xaml
    /// </summary>
    public partial class CpnlListView : UserControl
    {
        // Auflistung der anzuzeigenden Dateien
        public ObservableCollection<FileInfo> Files { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlListView.
        /// </summary>
        public CpnlListView()
        {
            // Erstellen der Auflistung für die Daten
            Files = new ObservableCollection<FileInfo>();
            // Genrierte Initialisierung
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung zum Browsen des Verzeichnisses.
        /// </summary>
        private void ButtonPath_Click(object sender, RoutedEventArgs e)
        {
            // Benutzen des Folder Browser Dialogs von Forms
            Forms.FolderBrowserDialog dlgFolderBrowser = new Forms.FolderBrowserDialog();

            // Dialog konfigurieren
            dlgFolderBrowser.ShowNewFolderButton = false;
            dlgFolderBrowser.Description = "Wählen Sie den Pfad aus, dessen Inhalt Sie sehen möchten.";

            // Pfad Konfigurieren
            if (!_tbPath.Text.StartsWith("<"))
            {
                dlgFolderBrowser.SelectedPath = _tbPath.Text;
            }

            // Dialog anzeigen und wenn mit OK beendet, Inhalt übernehmen
            if (dlgFolderBrowser.ShowDialog() == Forms.DialogResult.OK)
            {
                // Aktuellen Inhalt löschen
                Files.Clear();
                // Pfad in das TextBlock-Steuerelement übernehmen
                _tbPath.Text = dlgFolderBrowser.SelectedPath;
                // Daten in die AUflistung übernehmen
                foreach (string strFileName in Directory.GetFiles(dlgFolderBrowser.SelectedPath))
                {
                    Files.Add(new FileInfo(strFileName));
                }
            }
        }
    }
}
