﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CpnlTreeView.xaml
    /// </summary>
    public partial class CpnlTreeView : UserControl
    {
        /// <summary>
        /// Definiert die Auflistung der Laufwerke für den Rechner.
        /// </summary>
        public ObservableCollection<CwlbContainer> FileSystemData { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CpnlTreeView.
        /// </summary>
        public CpnlTreeView()
        {
            // Erstellt die Stammauflistung
            FileSystemData = new ObservableCollection<CwlbContainer>();
            // Initialisiere die generierten Elemente
            InitializeComponent();
            // Einlesen der Laufwerksinformationen
            foreach (DriveInfo objDrive in DriveInfo.GetDrives())
            {
                FileSystemData.Add(new CwlbDriveInfo(objDrive));
            }
        }

        /// <summary>
        /// Ereignisbehandlung für die Erweiterung eines Knoten
        /// </summary>
        private void TreeViewItem_Expanded(object sender, RoutedEventArgs e)
        {
            CwlbSystemInfo objInfo = ((HeaderedItemsControl)e.OriginalSource).Header as CwlbSystemInfo;
            objInfo.Expand();
        }
    }
}
