﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Klasse in den Details.
    /// </summary>
    public class CwlbClass
    {
        /// <summary>
        /// Liefert oder definiert die Typinformation der Klasse.
        /// </summary>
        public Type Type { get; set; }

        /// <summary>
        /// Liefert oder definiert, ob die Klasse selektiert ist oder nicht.
        /// </summary>
        public bool Checked { get; set; }

        /// <summary>
        /// Liefert oder definiert ob die Klasse selektierbar ist oder nicht.
        /// </summary>
        public bool Enabled { get; set; }

        /// <summary>
        /// Liefert den Tooltip-Text.
        /// </summary>
        public string ToolTip { get; set; }

        public string TypeName
        {
            get
            {
                return Type.Name;
            }
        }

        /// <summary>
        /// Liefert die Liste der Subklassen des Elements.
        /// </summary>
        public ObservableCollection<CwlbClass> Child { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbClass.
        /// </summary>
        public CwlbClass()
        {
            // Liste erstellen und Standardwerte definieren
            Child = new ObservableCollection<CwlbClass>();
            Enabled = true;
        }
    }
}
