﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert einen Konverter für die Umsetzung einer zeichenfolge in ein Email
    /// </summary>
    public class CwlbEmailConverter : IValueConverter
    {
        /// <summary>
        /// Konvertiert einen Wert in string in eine darzustellende Email-Adresse.
        /// </summary>
        /// <param name="objValue">Zu konvertierende Zeichenfolge.</param>
        /// <param name="objTargetType">Zieltyp.</param>
        /// <param name="objParameter">Parameter.</param>
        /// <param name="objCulture">Zu verwendende Kultur.</param>
        /// <returns>Konvertieret Zeichenfolge.</returns>
        public object Convert(object objValue, Type objTargetType, object objParameter, System.Globalization.CultureInfo objCulture)
        {
            if (objValue != null)
            {
                string strEmail = objValue.ToString();
                return strEmail.Substring(0, strEmail.IndexOf("@"));
            }
            else
            {
                return string.Empty;
            }
        }

        /// <summary>
        /// Konvertiert eine Eingabezeichenfolge in ein
        /// </summary>
        /// <param name="objValue">Zu konvertierende Zeichenfolge.</param>
        /// <param name="objTargetType">Zieltyp.</param>
        /// <param name="objParameter">Parameter.</param>
        /// <param name="objCulture">Zu verwendende Kultur.</param>
        /// <returns>Konvertieret Zeichenfolge.</returns>
        public object ConvertBack(object objValue, Type objTargetType, object objParameter, System.Globalization.CultureInfo objCulture)
        {
            return objValue.ToString();
        }
    }
}
