﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert eine Person.
    /// </summary>
    public class CwlbPerson
    {
        /// <summary>
        /// Liefert oder definiert die Obejktidentifikation.
        /// </summary>
        public string ID { get; set; }

        /// <summary>
        /// Liefert oder definiert den Vornamen der Person.
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// Liefert oder definiert den Nachnamen der Person.
        /// </summary>
        public string LastName { get; set; }

        /// <summary>
        /// Liefert oder definiert das Geburtsdatum der Person.
        /// </summary>
        public DateTime Birthdate { get; set; }

        /// <summary>
        /// Liefert oder definiert den Kontakttyp der Person.
        /// </summary>
        public int ContactType { get; set; }

        /// <summary>
        /// Liefert oder definiert die Emailadresse der Person
        /// </summary>
        public string Email { get; set; }

        /// <summary>
        /// Liefert oder definiert true, wenn der Newsletter abonniert ist.
        /// </summary>
        public bool NewsLetter { get; set; }

        /// <summary>
        /// Liefert eine Zeichenfolge für die textuelle Repräsentation des Objekts.
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {
            return string.Format("{0} {1}", FirstName, LastName);
        }
    }
}
