﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Basis einer Viewklasse für die Darstellung der Daten aus den externen Speichern.
    /// </summary>
    public abstract class CwlbSystemInfo
    {
        /// <summary>
        /// Liefert den Ansichtsnamen des dargestellten Objekts.
        /// </summary>
        public abstract string ViewName { get; }

        /// <summary>
        /// Liefert true, wenn es sich um ein geschützes Objekt handelt (system oder hidden Attribut definiert).
        /// </summary>
        public abstract bool IsSystemOrHidden { get; }

        /// <summary>
        /// Liefert oder definiert einen Tooltip für die Benutzeroberfläche.
        /// </summary>
        public abstract string ToolTip { get; }

        /// <summary>
        /// Erweitert ein Objekt.
        /// </summary>
        public abstract void Expand();
    }
}
