﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System.Windows.Data;

namespace WeroSoft.Samples
{
    [TestClass]
    public class CwlbContactPersonViewModelTest
    {
        [TestMethod]
        public void ContactPersonViewModelTest()
        {
            CwlbPersonContact objPerson = CwlbPersonContact.Create();
            Assert.AreEqual<bool>(false, objPerson.IsValid, "Dir Personendaten sind nach der Erstellung nicht ungültig.");
            objPerson.Name = "TestName";
            objPerson.FirstName = "TestVorname";
            Assert.IsNotNull(objPerson.ID, "Die ID der Person darf nicht null sein.");
            Assert.AreEqual<string>("TestName", objPerson.Name, "Der Name der Person stimmt nicht.");
            Assert.AreEqual<string>("TestVorname", objPerson.FirstName, "Der Vorname der Person stimmt nicht.");
            Assert.AreEqual<bool>(true, objPerson.IsValid, "Dir Personendaten sind nach der Ergänzung nicht gültig.");

            CwlbInMemoryData objData = CwlbInMemoryData.Data;
            CwlbContactPersonViewModel vmPerson = new CwlbContactPersonViewModel(objPerson, objData);
            Assert.IsNotNull(vmPerson.ID, "Die ID der Person darf nicht null sein.");
            Assert.AreEqual<string>("TestName", vmPerson.Name, "Der Name der Person stimmt nicht.");
            Assert.AreEqual<string>("TestName", vmPerson.ViewName, "Der ViewName der Person stimmt nicht.");
            Assert.AreEqual<string>("TestVorname", vmPerson.FirstName, "Der Vorname der Person stimmt nicht.");
            Assert.AreEqual<bool>(true, vmPerson.CanSave, "Die Personendaten im Ansichtsmodell sind nicht ungültig.");
        }
    }
}
