﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using System.Windows.Navigation;
using System.Windows.Threading;
using System.Threading;
using System.Diagnostics;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interkationslogik für die Anwendungsklasse Appl.xaml.
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// Starten der Anwendung beeinflussen.
        /// </summary>
        /// <param name="e">Startparameter</param>
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            // Registrieren der Ausnahmebehandlung für den Dispatcher der Anwendung
            this.DispatcherUnhandledException +=
               new DispatcherUnhandledExceptionEventHandler(App_DispatcherUnhandledException);
            base.OnStartup(e);

            // Lesen und umsetzen der gespeicherten Spracheeinstellung
            Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo(WeroSoft.Samples.Properties.Settings.Default.Langauge);
            Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo(WeroSoft.Samples.Properties.Settings.Default.Langauge);
        }

        /// <summary>
        /// Ereignisbehandlung für eine unbehandelte Ausnahme im Dispatcher der Anwendung
        /// </summary>
        void App_DispatcherUnhandledException(object sender, DispatcherUnhandledExceptionEventArgs e)
        {
            // Verarbeitung der Ausnahme
            MessageBox.Show(e.Exception.Message, MainWindow.Title, MessageBoxButton.OK, MessageBoxImage.Error);

            // Die Ausnahme als behandelt markieren
            e.Handled = true;
        }
    }
}
