﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;
using System.Globalization;
using System.Windows.Interop;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CwlbLocalizeDemo.xaml
    /// </summary>
    public partial class CwlbLocalizeDemo : Page
    {
        /// <summary>
        /// Liefert den formatierten Datumstext aus der Ressourcen.
        /// </summary>
        public string TextWithDate
        {
            get
            {
                return string.Format(Properties.Resources.LocDemoToday, DateTime.Today.ToShortDateString());
            }
        }

        /// <summary>
        /// Liefert die Flagge zu der eingestellten Sprache.
        /// </summary>
        public BitmapSource Flag
        {
            get
            {
                System.Drawing.Bitmap bmpFlag = Properties.Resources.Flag;
                return Imaging.CreateBitmapSourceFromHBitmap(bmpFlag.GetHbitmap(), IntPtr.Zero,
                    new Int32Rect(0, 0, bmpFlag.Width, bmpFlag.Height), BitmapSizeOptions.FromEmptyOptions());
            }
        }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbLocalizeDemo.
        /// </summary>
        public CwlbLocalizeDemo()
        {
            InitializeComponent();
        }

        private void ComboBox_Langauge_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            MessageBoxResult objResult = MessageBox.Show(
                "Sie haben einen Sprachwechsel verlangt. Sie müssen die Anwendung neu starten " +
                "um den Sprachwechsel zu aktivieren. Möchten Sie den Sprachwechsel durchführen?",
                "Sprachwechsel",
                MessageBoxButton.YesNo,
                MessageBoxImage.Question);

            if (objResult == MessageBoxResult.Yes)
            {
                Properties.Settings.Default.Langauge = ((FrameworkElement)_cboSelectLanguage.SelectedValue).Tag.ToString();
                Properties.Settings.Default.Save();
            }
        }
    }
}
