﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionslogik für CwlbThemeDemo.xaml
    /// </summary>
    public partial class CwlbThemeDemo : Page
    {
        // Aktuell geladene Ressourcen
        ResourceDictionary objResDir;

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbThemeDemo.
        /// </summary>
        public CwlbThemeDemo()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für die Auswahl eines Themas.
        /// </summary>
        private void ComboBox_Theme_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            // Lokale Daten
            string strPackUri;
            string strTheme = ((FrameworkElement)e.AddedItems[0]).Tag.ToString();

            // Umsetzen der Auswahl auf die notwendige Uri für das Laden der Ressourcen
            switch (strTheme)
            {
                case "Aero":
                    strPackUri = "PresentationFramework.Aero;V4.0.0.0;31bf3856ad364e35;" + 
                                 "component\\themes/aero.normalcolor.xaml";
                    break;
                case "Classic":
                    strPackUri = "PresentationFramework.Classic;V4.0.0.0;31bf3856ad364e35;" + 
                                 "component\\themes/classic.xaml";
                    break;
                default:
                    strPackUri = string.Format("pack://application:,,,/LearningWpf_05;" + 
                                               "component/Themes/{0}.xaml", strTheme);
                    break;
            }

            // Prüfen, ob Ressourcen entladen werden müssen oder nicht 
            if (objResDir == null)
            {
                objResDir = new ResourceDictionary();
            }
            else
            {
                this.Resources.MergedDictionaries.Remove(objResDir);
            }

            // Definieren und Laden der Ressourcen
            objResDir.Source = new Uri(strPackUri, UriKind.RelativeOrAbsolute);
            _borderDemo.Resources.MergedDictionaries.Add(objResDir);
        }

        /// <summary>
        /// Ereignisbehandlung beim Betätigen des Schalters.
        /// </summary>
        private void ToggleButton_Click(object sender, RoutedEventArgs e)
        {
            if (_btnToggle.IsChecked.GetValueOrDefault())
            {
                _btnToggle.Content = "Betätigt";
            }
            else
            {
                _btnToggle.Content = "Nicht Betätigt";
            }
        }
    }
}
