﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Hilfsklasse für die Beschreibung eines Formats in der Zwischenablage.
    /// </summary>
    public class CwlbClipboardFormat : INotifyPropertyChanged
    {
        // Definiert true, wenn das Format in der Zwischenablage vorhanden ist.
        private bool _bCurrentInClipboard;

        /// <summary>
        /// Liefert oder definiert true, wenn das Format in der Zwischenablage vorhanden ist.
        /// </summary>
        public bool IsCurrentInClipboard
        {
            get { return _bCurrentInClipboard; }
            set { 
                _bCurrentInClipboard = value;
                PropertyChanged(this, new PropertyChangedEventArgs("IsCurrentInClipboard"));
            }
        }

        // Definiert den Anzeigetext.
        private string _strText;

        /// <summary>
        /// Liefert oder definiert den Anzeigetext des Formats
        /// </summary>
        public string Text
        {
            get { return _strText; }
            set { 
                _strText = value;
                PropertyChanged(this, new PropertyChangedEventArgs("Text"));
            }
        }

        /// <summary>
        /// Liefert das Ereignis für die Schnittstelle INotifyPropertyChanged.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        /// <summary>
        /// Liefert den AnzeigeText für das Objekt.
        /// </summary>
        /// <returns>Liefert den Anzeigetext.</returns>
        public override string ToString()
        {
            return Text;
        }
    }
}
