﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Hilfsklasse für die Demo von D&D.
    /// </summary>
    public class CwlbDragDropHelper
    {
        /// <summary>
        /// Liefert oder definiert den Titel des Objekts.
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// Liefert oder definiert den Zeitpunkt wenn das Objekt zuletzt benutzt wurde.
        /// </summary>
        public DateTime LastUsed { get; set; }

        /// <summary>
        /// Liefert oder definiert die Anzahl der Drops des Objekts.
        /// </summary>
        public int AmountDrops { get; set; }

        /// <summary>
        /// Instanziert eine neue Instanz der Klasse CwlbDragDropHelper.
        /// </summary>
        public CwlbDragDropHelper()
        {
            Title = "Drag&Drop Helper";
            LastUsed = DateTime.Now;
        }

        /// <summary>
        /// Liefert den Anzeigetext des Objekts.
        /// </summary>
        public string Text
        {
            get
            {
                return string.Format(
                    "Das Informationsobjekt {0} wurde am {1} zum {2}. Mal verschoben.",
                    Title,
                    LastUsed,
                    AmountDrops);
            }
        }
    }
}
