﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Viewklasse für die Darstellung einer Datei-Information
    /// </summary>
    public class CwlbFileInfo
    {
        /// <summary>
        /// Liefert oder definiert den voll qualifizierten Namen der Datei
        /// </summary>
        public string FullName { get; set; }

        /// <summary>
        /// Liefert den Dateinamen.
        /// </summary>
        public string FileName
        {
            get
            {
                return System.IO.Path.GetFileName(FullName);
            }
        }

        /// <summary>
        /// Liefert den Pfadnamen.
        /// </summary>
        public string PathName
        {
            get
            {
                return System.IO.Path.GetDirectoryName(FullName);
            }
        }
    }
}
