﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Globalization;
using System.Text.RegularExpressions;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Validator für die Benutzung einer regular Expression.
    /// </summary>
    public class CwlbRegExValidation : ValidationRule
    {
        // Muster für die Prüfung.
        private string _strPattern;

        /// <summary>
        /// Liefert oder definiert das Muster das für die Prüfung des regulären Ausdrucks verwendet wird.
        /// </summary>
        public string Pattern
        {
            get { return _strPattern; }
            set
            {
                _strPattern = value;
            }
        }

        /// <summary>
        /// Prüffunktion für die Validierung.
        /// </summary>
        /// <param name="objValue">Wert der geprüft werden soll.</param>
        /// <param name="cultureInfo">Zu verwendende Kulturinfo.</param>
        /// <returns>Liefert das Prüfresultat.</returns>
        public override ValidationResult Validate(object objValue, CultureInfo cultureInfo)
        {
            if (objValue == null || ! Regex.Match(objValue.ToString(), Pattern).Success)
            {
                return new ValidationResult(false, "Die Eingabe ist ungültig.");
            }
            else
            {
                return new ValidationResult(true, null);
            }
        }
    }
}
