﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Hilfsklasse für die Erstellung von Views.
    /// </summary>
    public static class CwlbContactViewModelFactory
    {
        /// <summary>
        /// Erstellt ein Viewmodel gemäss dem definierten Kontakttyp.
        /// </summary>
        /// <param name="objContact">Kontakt für den ein Viewmodelobjekt erstellt werden soll.</param>
        /// <param name="objData">Daten.</param>
        /// <returns>Liefert ein typisiertes Viewmodel.</returns>
        public static CwlbCommandPanelViewModel CreateView(CwlbContact objContact, CwlbInMemoryData objData)
        {
            // Herstellen einer Personenview
            if (objContact is CwlbPersonContact)
            {
                return new CwlbContactPersonViewModel(objContact, objData);
            }
            // Herstellen einer Firmenview
            else if (objContact is CwlbCompanyContact)
            {
                return new CwlbContactCompanyViewModel(objContact, objData);
            }
            else
            {
                throw new InvalidOperationException("Aus dem übergebenen Objekt kann kein Viewobjekt erstellt werden. Prüfen Sie den verwendeten Typ.");
            }
        }
    }
}
