﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert ein Ereignisargument für eigene Ereignisbehandlung von Kontakten.
    /// </summary>
    public class CwlbCustomerEventArgs : EventArgs
    {
        /// <summary>
        /// Kontakt für den das Ereignis ausgelöst wird.
        /// </summary>
        public CwlbContact Contact { get; private set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbCustomerEventArgs.
        /// </summary>
        /// <param name="objContact">Kontakt für den das Ereignis erstellt werden soll.</param>
        public CwlbCustomerEventArgs(CwlbContact objContact)
        {
            if (objContact == null)
            {
                throw new ArgumentNullException("Der übergebene Kontakt muss definiert sein.");
            }
            Contact = objContact;
        }
    }
}
