﻿ using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert eine Ansicht für die Handhabung eines Befehls.
    /// Diese Klasse kapselt einen Befehl (Klasse CwlbDelegatedCommand) und versieht diesen mit einem ViewNamen
    /// </summary>
    public class CwlbCommandViewModel : CwlbViewModelBase
    {
        /// <summary>
        /// Liefert den mit dem Ansichtsobjekt verbundenen Befehl.
        /// </summary>
        public ICommand Command { get; private set; }

        /// <summary>
        /// Liefert true, wenn das Objekt in Menüs angezeigt werden soll.
        /// </summary>
        public bool MenuCommand { get; set; }

        /// <summary>
        /// Initialisiert ein neues Ansichtsobjekt.
        /// </summary>
        /// <param name="strViewName">Name wie er in der Benutzeroberfläche dargestellt werden soll.</param>
        /// <param name="objCommand">Befehl, der beim Anwählen der Ansicht verwendet wird.</param>
        public CwlbCommandViewModel(string strViewName, ICommand objCommand)
        {
            if (string.IsNullOrWhiteSpace(strViewName))
            {
                throw new ArgumentNullException("Ein Ansichtsname darf nicht leer sein.");
            }
            ViewName = strViewName;
            Command = objCommand;
        }
    }
}
