﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für die Auswertung des Browserobjekts.
    /// </summary>
    public partial class CwlbBrowser : System.Web.UI.Page
    {
        /// <summary>
        /// Eventhandler beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert ein dynamisch aufgebautes Tabellen-Steuerelement
            HtmlTable objTable = new HtmlTable();   // Tabelle selber
            HtmlTableRow objRow;                    // Eine Zeile einer Tabelle
            HtmlTableCell objCell;                  // Eine Spalte einer Zeile
            object objContent;                      // Inhalt einer Eigenschaft der Anforderung

            // Erstellen des Kopfbereichs der Tabelle
            objRow = new HtmlTableRow();
            objTable.Rows.Add(objRow);
            objCell = new HtmlTableCell();
            objCell.InnerText = "Eigenschaft";
            objRow.Cells.Add(objCell);
            objCell = new HtmlTableCell();
            objCell.InnerText = "Inhalt";
            objRow.Cells.Add(objCell);

            // Alle Eigenschaften der Anfroderung auslesen
            foreach (PropertyInfo objPropertyInfo in Request.Browser.GetType().GetProperties().OrderBy(objOrder => objOrder.Name))
            {
                // Indexer überspringen
                if (objPropertyInfo.GetIndexParameters().Length > 0)
                {
                    continue;
                }

                // Ausgabezeile für die Anforderung begründen
                objRow = new HtmlTableRow();
                objTable.Rows.Add(objRow);
                objCell = new HtmlTableCell();
                objCell.InnerText = objPropertyInfo.Name;
                objRow.Cells.Add(objCell);
                objCell = new HtmlTableCell();
                objRow.Cells.Add(objCell);

                // Inhalt versuchen zu lesen
                try
                {
                    objContent = objPropertyInfo.GetValue(Request.Browser, null);
                    objCell.InnerText = objContent == null ? "null" : objContent.ToString();
                }
                catch
                {
                    objCell.InnerText = "Kann nicht evaluiert werden (siehe Debugger)";
                }
            }

            // Dynamisch erstellte Tabelle an den Platzhalter koppeln
            _plcData.Controls.Add(objTable);
        }
    }
}