﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Reflection;
using System.Collections;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für Abfragezeichenfolgen.
    /// </summary>
    public partial class CwlbQueryString : System.Web.UI.Page
    {
        // Instanzdaten
        private HtmlTable _objTable = new HtmlTable();

        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            _tbUrlLength.Text = Request.RawUrl.Length.ToString();
            RefreshView();
        }

        /// <summary>
        /// Ereignisbehandlung bei Betätigung der Schaltfläche Aktualisieren
        /// </summary>
        protected void Refresh_Click(object sender, EventArgs e)
        {
            // Lese das Eingabefeld
            string strRaw = string.Format("{0}?{1}", this.Request.Path, _tbQueryString.Text);
            Response.Redirect(strRaw);
        }

        /// <summary>
        /// Die Ansicht der Daten neu zusammenstellen
        /// </summary>
        private void RefreshView()
        {
            // Tabelle zusammenstellen
            foreach (string strKey in Request.QueryString)
            {
                GwlbApplication.WriteValue(_objTable, strKey, Request.QueryString[strKey].ToString());
            }

            // Platzhalter neu definieren
            _placeHolder.Controls.Clear();
            _placeHolder.Controls.Add(_objTable);
        }
    }
}