﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für den Sitzungszustand.
    /// </summary>
    public partial class CwlbSessionState : System.Web.UI.Page
    {
        // Konstante Daten der Klasse
        private const string SEQ_NUMBER = "SequenceNumber";

        // Instanzdaten
        private HtmlTable _objTable = new HtmlTable();

        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Sequenznummer erhöhen
            if (Session[SEQ_NUMBER] == null)
            {
                // Allererste Durchführung
                Session[SEQ_NUMBER] = 1;
            }

            if (!IsPostBack)
            {
                // Liste ausgeben
                RefreshView();
            }
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Aktualisieren 
        /// </summary>
        protected void _btnRefresh_Click(object sender, EventArgs e)
        {
            // Sequenznummer erhöhen
            Session[SEQ_NUMBER] = ((int)Session[SEQ_NUMBER]) + 1;

            // Einen neuen Eintrag erstellen
            Session[string.Format("Datenelement {0:000} erzeugt um",
                (int)Session[SEQ_NUMBER])] = DateTime.Now.ToString("HH:mm:ss.fff");

            // Liste ausgeben
            RefreshView();
        }

        /// <summary>
        /// Die Ansicht der Daten neu zusammenstellen
        /// </summary>
        private void RefreshView()
        {
            // Tabelle zusammenstellen
            foreach (string strKey in Session)
            {
                GwlbApplication.WriteValue(_objTable, strKey, Session[strKey].ToString());
            }

            // Anzahl Elemente ausgeben
            _lblCount.Text = "Anzahl Einträge: " + Session.Count.ToString();

            // Platzhalter neu definieren
            _placeHolder.Controls.Clear();
            _placeHolder.Controls.Add(_objTable);
        }
    }
}