﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für die Auswertung des Browserobjekts.
    /// </summary>
    public partial class CwlbBrowserPartial : System.Web.UI.Page
    {
        /// <summary>
        /// Eventhandler beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert ein dynamisch aufgebautes Tabellen-Steuerelement
            HtmlTable objTable = new HtmlTable();   // Tabelle selber
            HtmlTableRow objRow;                    // Eine Zeile einer Tabelle
            HtmlTableCell objCell;                  // Eine Spalte einer Zeile

            // Erstellen des Kopfbereichs der Tabelle
            objRow = new HtmlTableRow();
            objTable.Rows.Add(objRow);
            objCell = new HtmlTableCell();
            objCell.InnerText = "Eigenschaft";
            objRow.Cells.Add(objCell);
            objCell = new HtmlTableCell();
            objCell.InnerText = "Inhalt";
            objRow.Cells.Add(objCell);

            // Erstellen der partiellen Infromationen
            WriteInfoRow(objTable, "Type",  Request.Browser.Type.ToString());
            WriteInfoRow(objTable, "Name",  Request.Browser.Browser.ToString());
            WriteInfoRow(objTable, "Version",  Request.Browser.Version.ToString());
            WriteInfoRow(objTable, "Major Version",  Request.Browser.MajorVersion.ToString());
            WriteInfoRow(objTable, "Minor Version",  Request.Browser.MinorVersion.ToString());
            WriteInfoRow(objTable, "Platform",  Request.Browser.Platform.ToString());
            WriteInfoRow(objTable, "Is Beta",  Request.Browser.Beta.ToString());
            WriteInfoRow(objTable, "Is Crawler",  Request.Browser.Crawler.ToString());
            WriteInfoRow(objTable, "Is AOL",  Request.Browser.AOL.ToString());
            WriteInfoRow(objTable, "Is Win16",  Request.Browser.Win16.ToString());
            WriteInfoRow(objTable, "Is Win32",  Request.Browser.Win32.ToString());
            WriteInfoRow(objTable, "Supports Frames",  Request.Browser.Frames.ToString());
            WriteInfoRow(objTable, "Supports Tables",  Request.Browser.Tables.ToString());
            WriteInfoRow(objTable, "Supports Cookies",  Request.Browser.Cookies.ToString());
            WriteInfoRow(objTable, "Supports VB Script",  Request.Browser.VBScript.ToString());
            WriteInfoRow(objTable, "Supports JavaScript",  Request.Browser.EcmaScriptVersion.ToString());
            WriteInfoRow(objTable, "Supports Java Applets",  Request.Browser.JavaApplets.ToString());
            WriteInfoRow(objTable, "Supports ActiveX Controls",  Request.Browser.ActiveXControls.ToString());
            WriteInfoRow(objTable, "CDF",  Request.Browser.CDF.ToString());

            // Dynamisch erstellte Tabelle an den Platzhalter koppeln
            _plcData.Controls.Add(objTable);
        }

        void WriteInfoRow(HtmlTable objTable, string strItem, string strContent)
        {
            // Definiert ein dynamisch aufgebautes Tabellen-Steuerelement
            HtmlTableRow objRow;                    // Eine Zeile einer Tabelle
            HtmlTableCell objCell;                  // Eine Spalte einer Zeile

            // Ausgabezeile für die Anforderung begründen
            objRow = new HtmlTableRow();
            objTable.Rows.Add(objRow);
            objCell = new HtmlTableCell();
            objCell.InnerText = strItem;
            objRow.Cells.Add(objCell);
            objCell = new HtmlTableCell();
            objRow.Cells.Add(objCell);
            objCell.InnerText = strContent;
        }
    }
}