﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Realisiert das serverseitige Eventhandling der Verarbeitung der Seite für Demos von Eingabeelementen.
    /// </summary>
    public partial class CwlbInputControls : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Lösche Inhalt der DropDownList
                _lbBound.Items.Clear();

                // Erstelle eine Datentabelle
                DataTable tableComics = new DataTable("Comics");
                tableComics.Columns.Add(new DataColumn("ComicName", typeof(string)));
                tableComics.Columns.Add(new DataColumn("Id", typeof(string)));

                // Fülle Zeilen ein
                tableComics.Rows.Add("Micky Mouse", "0001");
                tableComics.Rows.Add("Donald Duck", "0002");
                tableComics.Rows.Add("Dagobert Duck", "0003");
                tableComics.Rows.Add("Minny Mouse", "0004");
                tableComics.Rows.Add("Pluto", "0005");
                tableComics.Rows.Add("Goofy", "0006");

                // Binde die Quelle zur ComboBox
                _lbBound.DataSource = tableComics;
                _lbBound.DataMember = "Comics";
                _lbBound.DataTextField = "ComicName";
                _lbBound.DataValueField = "Id";
                _lbBound.DataBind();

                // Konfigurieren der Datei-Übertragung
                _tbFile.Accept = "image/*";
            }
            else
            {
                try
                {
                    HttpPostedFile objFile = _tbFile.PostedFile;
                    string strFilename = Page.MapPath("~");
                    strFilename = Path.Combine(strFilename, "Upload");
                    strFilename = Path.Combine(strFilename,
                    Path.GetFileName(_tbFile.PostedFile.FileName));
                    objFile.SaveAs(strFilename);
                }
                catch (Exception exc)
                {
                    Trace.Write(exc.Message);
                }
            }
        }

        /// <summary>
        /// Ereignisbehandlung für die Veränderung der Auswahl eines Eintrages in der gebundenen Liste.
        /// </summary>
        protected void BoundSelection_Changed(object sender, EventArgs e)
        {
            foreach (ListItem objItem in _lbBound.Items)
            {
                if (objItem.Selected)
                {
                    // Do Something
                }
            }
        }
    }
}