﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WeroSoft.Samples.ControlsHtml
{
    /// <summary>
    /// Realisiert das serverseitige Eventhandling der Verarbeitung der Seite für Demos von diversen HTML-Steuerelementen.
    /// </summary>
    public partial class CwlbMiscControls : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Erstellen eines Stilelements
            Style objBodyStyle = new Style();

            objBodyStyle.ForeColor = System.Drawing.Color.Blue;
            objBodyStyle.BackColor = System.Drawing.Color.Lavender;

            // Füge den Stil dem Header der Seite hinzu
            Page.Header.StyleSheet.CreateStyleRule(objBodyStyle, null, "body");

            // Verändere den Titel der Seite
            Page.Header.Title = "DEMO weitere HTML-Steuerelemente";

            // Füge eine Metainformation zum Header hinzu
            HtmlMeta objMeta = new HtmlMeta();

            // Definiere einen Keyword-Eintrag für Suchmaschinen
            objMeta.Name = "keywords";
            objMeta.Content = "HTML-Meta HTML-Style HTML-Title";
            // Hinzufügen der Metainformation zum Header
            Page.Header.Controls.Add(objMeta);

            // Definieren einer Verknüpfung zu einem Stylesheet
            HtmlLink objCssLink = new HtmlLink();
            objCssLink.Href = "../App_Themes/Standard/Standard.css";
            objCssLink.Attributes.Add("rel", "stylesheet");
            objCssLink.Attributes.Add("type", "text/css");
            // Hinzufügen der Verknüpfung zum Header
            Page.Header.Controls.Add(objCssLink);
        }
    }
}