﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using System.IO;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert die Anwendungsklasse der Demo-Anwendung
    /// </summary>
    public class Global : System.Web.HttpApplication
    {
        /// <summary>
        /// Behandlung des Ereignisses Starten der Anwendung.
        /// </summary>
        protected void Application_Start(object sender, EventArgs e)
        {
            Application[GwlbApplication.APP_OBJECT_NAME] = new CwlbApplicationData();
        }

        /// <summary>
        /// Behandlung des Ereignisses Starten der Sitzung.
        /// </summary>
        protected void Session_Start(object sender, EventArgs e)
        {

        }

        /// <summary>
        /// Behandlung des Ereignisses Starten einer Anforderung.
        /// </summary>
        protected void Application_BeginRequest(object sender, EventArgs e)
        {
            // Ausnahmebehandlung
            try
            {
                // Sperren des Anwendungsobjekts
                Application.Lock();
                // Eigene Daten lesen
                CwlbApplicationData objAppData = Application[GwlbApplication.APP_OBJECT_NAME] as CwlbApplicationData;
                // Prüfen der Erweiterung 
                switch (Path.GetExtension(Request.Path).ToLower())
                {
                    // Normale aspx Dateien
                    case ".htm":
                    case ".html":
                        objAppData.HtmlPageAccess++;
                        break;
                    // Normale aspx Dateien
                    case ".aspx":
                        objAppData.AspPageAccess++;
                        break;
                    // Cascading Stylesheets
                    case ".css":
                        objAppData.StyleSheetAccess++;
                        break;
                    // Bildateien
                    case "jpg":
                    case "png":
                    case "gif":
                        objAppData.ImageAccess++;
                        break;
                    default:
                        return;
                }

            }
            finally
            {
                // Anwendungsobjekt entsprren
                Application.UnLock();
            }
        }

        /// <summary>
        /// Behandlung des Ereignisses Authentifizieren einer Anforderung.
        /// </summary>
        protected void Application_AuthenticateRequest(object sender, EventArgs e)
        {

        }

        /// <summary>
        /// Behandlung des Ereignisses unbehandelter Fehler in der Anwendung.
        /// </summary>
        protected void Application_Error(object sender, EventArgs e)
        {

        }

        /// <summary>
        /// Behandlung des Ereignisses Beenden der Sitzung.
        /// </summary>
        protected void Session_End(object sender, EventArgs e)
        {

        }

        /// <summary>
        /// Behandlung des Ereignisses Beenden der Anwendung.
        /// </summary>
        protected void Application_End(object sender, EventArgs e)
        {

        }
    }
}