﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Reflection;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Definiert die Funktionalität der Demoseite für die Demo des Anwendungszustandes.
    /// </summary>
    public partial class CwlbApplicatonState : System.Web.UI.Page
    {
        private const string APP_ACCESS_PAGE = "PAGE_APP_STATE";

        /// <summary>
        /// Ereignisbehandlung für das Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Anzahl Seitenzugriffe gesamt abfragen
            try
            {
                //Application.Lock();

                CwlbApplicationData objAppData = Application[GwlbApplication.APP_OBJECT_NAME] as CwlbApplicationData;
                _tbHtmlRequests.Text = objAppData.HtmlPageAccess.ToString();
                _tbAspRequests.Text = objAppData.AspPageAccess.ToString();
                _tbCssRequests.Text = objAppData.StyleSheetAccess.ToString();
                _tbImageRequests.Text = objAppData.ImageAccess.ToString();
                _tbTotalRequests.Text = (objAppData.HtmlPageAccess + objAppData.AspPageAccess +
                    objAppData.StyleSheetAccess + objAppData.ImageAccess).ToString();

                // Anzahl Seitenzugriffe dieser Seite abfragen
                if (Application[APP_ACCESS_PAGE] == null)
                {
                    Application[APP_ACCESS_PAGE] = 1;
                }
                else
                {
                    Application[APP_ACCESS_PAGE] = ((int)Application[APP_ACCESS_PAGE]) + 1;
                }
                _tbThisPage.Text = Application[APP_ACCESS_PAGE].ToString();
            }
            finally
            {
                //Application.UnLock();
            }
        }
    }
}