﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das UpdatePanel-Steuerelement.
    /// </summary>
    public partial class UpdatePanel : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - Update Panel (Ajax)");
            ((Demo)Master).KeepNodeOpen("Web/Ajax");

            // Initialisierung der Zeitangabe
            _lblAutoUpdate.Text = DateTime.Now.ToLongTimeString();
            _lblManualUpdate.Text = DateTime.Now.ToLongTimeString();
        }

        /// <summary>
        /// Ereignisbehandlung beim manuellen Update des Panels.
        /// </summary>
        protected void ButtonManualUpdateRefresh_Click(object sender, EventArgs e)
        {
            _lblManualUpdate.Text = DateTime.Now.ToLongTimeString();
        }

        /// <summary>
        /// Ereignisbehandlung beim automatischen Update des Panels.
        /// </summary>
        protected void TimerMain_Tick(object sender, EventArgs e)
        {
            _lblAutoUpdate.Text = DateTime.Now.ToLongTimeString();
        }
    }
}