﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WeroSoft.Samples
{
    public static class CwlbDemoDataProvider
    {
        private static List<CwlbDemoData> _cobjDemoData = new List<CwlbDemoData>();

        public static List<CwlbDemoData> CurrentData
        {
            get
            {
                return _cobjDemoData;
            }
        }

        static CwlbDemoDataProvider()
        {
            GenerateCollection();
        }

        private static void GenerateCollection()
        {
            List<CwlbDemoData> cobjDemoData = _cobjDemoData as List<CwlbDemoData>;

            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Blumenberger",
                FirstName = "Theo",
                Birthdate = new DateTime(1975, 04, 18),
                Male = true,
                Size = 1.86,
                Hobby = EwlbHobby.Fahrradfahren,
            });

            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Gärtner",
                FirstName = "Jakob",
                Birthdate = new DateTime(1982, 12, 18),
                Male = true,
                Size = 1.74,
                Hobby = EwlbHobby.Skifahren,
            });

            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Zaugg",
                FirstName = "Susanne",
                Birthdate = new DateTime(1979, 01, 19),
                Male = false,
                Size = 1.65,
                Hobby = EwlbHobby.Wandern,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Fröidger",
                FirstName = "Paul",
                Birthdate = new DateTime(1985, 11, 1),
                Male = true,
                Size = 1.88,
                Hobby = EwlbHobby.Skifahren,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Hunziker",
                FirstName = "Daniela",
                Birthdate = new DateTime(1965, 7, 12),
                Male = false,
                Size = 1.78,
                Hobby = EwlbHobby.Skifahren,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Frigali",
                FirstName = "Rudolf",
                Birthdate = new DateTime(1956, 3, 6),
                Male = true,
                Size = 1.81,
                Hobby = EwlbHobby.Schachspielen,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Hurtig",
                FirstName = "Anna",
                Birthdate = new DateTime(1990, 6, 17),
                Male = false,
                Size = 1.90,
                Hobby = EwlbHobby.Skifahren,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Möriger",
                FirstName = "Cecilia",
                Birthdate = new DateTime(1950, 11, 11),
                Male = false,
                Size = 1.76,
                Hobby = EwlbHobby.Fahrradfahren,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Gerstner",
                FirstName = "Hans",
                Birthdate = new DateTime(1973, 10, 1),
                Male = true,
                Size = 1.77,
                Hobby = EwlbHobby.Wandern,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Galant",
                FirstName = "Vreni",
                Birthdate = new DateTime(1973, 1, 10),
                Male = false,
                Size = 1.79,
                Hobby = EwlbHobby.Schachspielen,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Hummer",
                FirstName = "Fritz",
                Birthdate = new DateTime(1993, 1, 19),
                Male = true,
                Size = 1.83,
                Hobby = EwlbHobby.Skifahren,
            });
            cobjDemoData.Add(new CwlbDemoData
            {
                ID = Guid.NewGuid().ToString(),
                Name = "Grandi",
                FirstName = "Joseph",
                Birthdate = new DateTime(1996, 5, 9),
                Male = true,
                Size = 1.86,
                Hobby = EwlbHobby.Schachspielen,
            });
        }

        public static IEnumerable<CwlbDemoData> Select()
        {
            return _cobjDemoData.OrderBy(objPerson => objPerson.Name).ThenBy(objPerson => objPerson.FirstName).ToList();
        }

        public static void Insert(CwlbDemoData objDemoData)
        {
            _cobjDemoData.Add(objDemoData);
        }

        public static void Update(CwlbDemoData objDemoData)
        {
            CwlbDemoData objDelete = _cobjDemoData.FirstOrDefault(objSearch => objSearch.ID == objDemoData.ID);
            if (objDelete != null)
            {
            }
       }

        public static void Delete(CwlbDemoData objDemoData)
        {
            CwlbDemoData objDelete = _cobjDemoData.FirstOrDefault(objSearch => objSearch.ID == objDemoData.ID);
            if (objDelete != null)
            {
                _cobjDemoData.Remove(objDelete);
            }
        }
    }
}