﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für HTML-Schaltflächen.
    /// </summary>
    public partial class HtmlForm : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisnehandlung beim Laden des Formulars.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Html - Submit, Reset und Button ");
            ((Demo)Master).KeepNodeOpen("Html/Simple");

            // Postback Verarbeitung
            if (!IsPostBack)
            {
                // Resultate ausblenden
                _lblResult.Visible = false;
                _blResults.Visible = false;
                _rbEntry2.Checked = true;
            }
            else
            {
                // Eingegebene Daten reflektieren
                _lblResult.Visible = true;
                _blResults.Visible = true;
                _blResults.Items.Clear();
                _blResults.Items.Add("Texteingabe 1: " + _tbEntry1.Value);
                _blResults.Items.Add("Texteingabe 2: " + _tbEntry2.Value);
                _blResults.Items.Add(string.Format(
                    "Auswahl n von 3: A:{0}, B:{1}, C:{2}",
                    _chkEntry1.Checked,
                    _chkEntry2.Checked,
                    _chkEntry3.Checked));
                _blResults.Items.Add(string.Format(
                    "Auswahl 1 von 3: A:{0}, B:{1}, C:{2}",
                    _rbEntry1.Checked,
                    _rbEntry2.Checked,
                    _rbEntry3.Checked));
                _blResults.Items.Add("Auswahl Liste: " + _ddlEntry1.Items[_ddlEntry1.SelectedIndex].Text);
                _blResults.Items.Add("Lokale Schaltfläche: " + (string.IsNullOrEmpty(_hidLocalButton.Value) ? "nicht betätigt" : "betätigt"));

                // Verstecktes Feld zurücksetzen
                _hidLocalButton.Value = string.Empty;
            }
        }
    }
}