﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für hidden field.
    /// </summary>
    public partial class HtmlHidden : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Html - Hidden");
            ((Demo)Master).KeepNodeOpen("Html/Simple");
        }

        /// <summary>
        /// Ereignisbehandlung Taste Übertragen betätigt.
        /// </summary>
        protected void _btnSubmit_Click(object sender, EventArgs e)
        {
            // Anzahl der Roundtrips berechnen
            int iCount = int.Parse(_hidCounter.Value);
            iCount++;
            _hidCounter.Value = iCount.ToString();

            // Daten bereitstellen
            _hidDemo.Value += string.Format("{0}. Eingabe: {1} ", iCount, _tbEntry.Value);

            // Inhalt des versteckten Feldes reflektieren
            _lblHiddenContent.InnerText = _hidDemo.Value;
        }
    }
}