﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das Html-Steuerelement InputFile.
    /// </summary>
    public partial class HtmlInputFile : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Html - InputFile");
            ((Demo)Master).KeepNodeOpen("Html/Simple");

            // Leeren der Aufzählung für das Upload-Feedback
            _lblFeedback.Text = string.Empty;
            _lblFeedbackTitle.ForeColor = System.Drawing.Color.Black;
        }

        /// <summary>
        /// Ereignisbehandlung für die Schaltfläche 'Übertragen'
        /// </summary>
        protected void ButtonSubmit_Click(object sender, EventArgs e)
        {
            // Daten hochladen
            try
            {
                // lokale Daten
                string strFilename;
                HttpPostedFile objFile;

                // Basispfad zur Speicherung erstellen
                string strPath = Page.MapPath("~");
                strPath = System.IO.Path.Combine(strPath, "upload");

                // Alle enthaltenen Files verarbeiten
                foreach (string strFile in Request.Files)
                {
                    // Dateiobjekt referenzieren
                    objFile = Request.Files[strFile];

                    // Prüfe File
                    if (objFile.FileName.Length > 0)
                    {
                        // Datei im Upload-Verzeichnis speichern
                        strFilename = System.IO.Path.Combine(strPath,
                            System.IO.Path.GetFileName(objFile.FileName));
                        objFile.SaveAs(strFilename);

                        // Metadaten zur Information zurückgeben
                        _lblFeedbackTitle.Visible = true;
                        _lblFeedback.Text += string.Format("{0}{1}, {2:N0} KB",
                            "<br/>",
                            Server.HtmlEncode(objFile.FileName),
                            objFile.ContentLength / 1024);
                    }
                }
            }
            catch (Exception exception)
            {
                _lblFeedbackTitle.Visible = true;
                _lblFeedbackTitle.Text = exception.Message;
                _lblFeedbackTitle.ForeColor = System.Drawing.Color.Red;
            }
        }
    }
}