﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Reflection;
using System.Web.UI;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Repräsentiert ein Property des Steuerelements, das mit dem PropertyGrid-Steuerelement 
    /// repräsentiert wird.
    /// </summary>
    public class CwlbProperty
    {
        /// <summary>
        /// Liefert oder definiert den Namen der Eigenschaft.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert das Informationsobjekt der Eigenschaft des beobachteten Steuerelements.
        /// </summary>
        public PropertyInfo PropertyInfo { get; set; }

        /// <summary>
        /// Liefert oder definiert die Kategorie, zu der die Eigenschaft des Steuerelements gehört.
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// Liefert oder definiert das Eingabesteuerelement für diese Eigenschaft
        /// </summary>
        public Control Control { get; set; }

        /// <summary>
        /// Liefert oder definiert true, wenn die Eigenschaft schreibgeschützt ist.
        /// </summary>
        public bool IsReadOnly { get; set; }

        /// <summary>
        /// Liefert oder definiert true, wenn die Eigenschaft sichtbar ist.
        /// </summary>
        public bool IsVisible { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbProperty.
        /// </summary>
        public CwlbProperty()
        {
            IsVisible = true;
        }
    }
}