﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das PlaceHolder-Steuerelement.
    /// </summary>
    public partial class WebPlaceHolder : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - PlaceHolder");
            ((Demo)Master).KeepNodeOpen("Web/Arrangement");

            // Dynamisches Erstellen der Elemente
            Button btnDemo = new Button();
            btnDemo.Text = "Generierte Schaltfläche";
            btnDemo.Height = 30;
            btnDemo.Width = 200;
            btnDemo.Click += new EventHandler(ButtonDemo_Click);
            _plhDemo.Controls.Add(btnDemo);
            _plhDemo.Controls.Add(new LiteralControl("<br />"));
            _plhDemo.Controls.Add(new LiteralControl("<br />"));
        }

        /// <summary>
        /// Ereignisbehandlung für die dynamisch erstellte Schaltfläche
        /// </summary>
        void ButtonDemo_Click(object sender, EventArgs e)
        {
            _lblAction.Text = "Schaltfläche betätigt!";
        }
    }
}