﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das Substitution-Steuerelement.
    /// </summary>
    public partial class WebSubstitution : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - Substitution");
            ((Demo)Master).KeepNodeOpen("Web/Arrangement");

            // Initialisieren der Daten
            _lblLastAccess.Text = DateTime.Now.ToLongTimeString();
        }

        /// <summary>
        /// Liefert die aktuelle Tageszeit. Diese Methode wird vom Substitution-Steuerelement verwendet.
        /// </summary>
        /// <param name="objContext">Http-Kontext der Anfrage.</param>
        /// <returns>Text, der vom Substitution-Steuerelement angezeigt wird.</returns>
        public static string GetCurrentTime(HttpContext objContext)
        {
            return DateTime.Now.ToLongTimeString();
        }
    }
}