﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das GridView-Steuerelement.
    /// </summary>
    public partial class WebGridView : System.Web.UI.Page
    {
        // Instanzdaten
        int iValue = 0;
        decimal dcValue = 0.0m;
        bool bValid = true;
        bool bShowProperties = true;

        /// Liefert die zeileninterne Berechnung des Produkts der Werte
        /// Ganzzahl und gebrochene Zahl.
        /// </summary>
        /// <remarks>Bei Werten >= 100000 wird eine Ungültig-Meldung zurückgegeben</remarks>
        /// <returns></returns>
        public string CalcProduct()
        {
            // Prüfe ob die Daten gültig sind
            if (bValid && (decimal)iValue * dcValue < 100000)
            {
                return string.Format("{0:##,##0.0000}", (decimal)iValue * dcValue);
            }
            else
            {
                return "!ungültige Daten";
            }
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - GridView / DetailsView");
            ((Demo)Master).KeepNodeOpen("Web/Polynominal");
        }

        /// <summary>
        /// Ereignishandler: Eine Datenzeile wird gebunden
        /// </summary>
        protected void _gvDemo_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            // Dieses Ereignis kommt leider für die Darstellung zu spät!
        }

        /// <summary>
        /// Ereignishandler: Eine Zeile wurde erzeugt
        /// </summary>
        /// <remarks>
        /// Da die Zeile nicht gebunden ist, müssen die Daten über das Rohformat 
        /// gelesen werden.
        /// </remarks>
        protected void _gvDemo_RowCreated(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowType == DataControlRowType.DataRow)
                {
                    iValue = Convert.ToInt32(((DataRowView)e.Row.DataItem)["A10IN_INTEGER"]);
                    dcValue = Convert.ToDecimal(((DataRowView)e.Row.DataItem)["A10DC_DECIMAL"]);
                }
                bValid = true;
            }
            catch
            {
                bValid = false;
            }
        }

        protected void _gvDemo_RowEditing(object sender, GridViewEditEventArgs e)
        {
            _pgrDemo.Visible = false;
            _pPropSwitchedOff.Visible = true;
        }
    }
}