﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das GridView-Steuerelement.
    /// </summary>
    public partial class WebGridViewNew : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - GridView");
            ((Demo)Master).KeepNodeOpen("Web/Polynominal");
        }

        /// <summary>
        /// Ereignishandler: Neuer Datensatz wird eingefügt
        /// </summary>
        protected void _dvDemo_ItemInserting(object sender, DetailsViewInsertEventArgs e)
        {
            // Erstelle einen Pseudo-Primärschlüssel aus der Zeit
            // und füge das Feld hinzu. Das ist notwendig, da das Feld in der View nicht
            // eingeschaltet ist und daher nicht generiert wird.
            DateTime dtValue = DateTime.Now.ToUniversalTime();
            e.Values.Add("A10CH_ID", dtValue.ToString("yyMMddHHmmssfff"));
        }

        /// <summary>
        /// Ereignishandler: Neuer Datensatz wurde eingefügt
        /// </summary>
        /// <remarks>
        /// Dieser Eventhandler wird verwendet um eine eventuelle Ausnahme
        /// im Umgang mit der Datenquelle zu bearbeiten
        /// </remarks>
        protected void _dvDemo_ItemInserted(object sender, DetailsViewInsertedEventArgs e)
        {
            // Prüfe Fehler
            if (e.Exception != null)
            {
                // Fehlertext darstellen
                _lblError.Text = "Fehler: " + e.Exception.Message;
                _lblError.ForeColor = Color.Red;
                // OK; Fehler wurde behandelt
                e.ExceptionHandled = true;
                // Behalte die bereits eingegeben Daten!
                e.KeepInInsertMode = true;
            }
            else
            {
                // Einfügen erfolgreich
                _lblError.Text = "Einfügen der Daten erfolgreich";
                _lblError.ForeColor = Color.DarkGreen;
            }
        }
    }
}