﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das MultiView-Steuerelement.
    /// </summary>
    public partial class WebMultiView : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - MultiView");
            ((Demo)Master).KeepNodeOpen("Web/Polynominal");

            // Prüfe Postback
            if (!this.IsPostBack)
            {
                // Initialisieren der MultiView
                _mvDemo.ActiveViewIndex = 0;
            }
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche MultiView-Seite Person betätigt
        /// </summary>
        protected void _btnPage1_Click(object sender, EventArgs e)
        {
            // Aktiviere Seite 1 (Index 0)
            _mvDemo.ActiveViewIndex = 0;
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche MultiView-Seite Gruppenzugehörigkeit betätigt
        /// </summary>
        protected void _btnPage2_Click(object sender, EventArgs e)
        {
            // Aktiviere Seite 2 (Index 1)
            _mvDemo.ActiveViewIndex = 1;
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche MultiView-Seite Kontakt betätigt
        /// </summary>
        protected void _btnPage3_Click(object sender, EventArgs e)
        {
            // Aktiviere Seite 3 (Index 2)
            _mvDemo.ActiveViewIndex = 2;
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Hinzufügen betätigt
        /// </summary>
        protected void _btnAddContact_Click(object sender, EventArgs e)
        {
            // Kontakteingabe in die Liste übertragen
            _lbContact.Items.Add(string.Format("{0} - {1}",
                _tbContactDate.Text,
                _tbContactInfo.Text));
            _tbContactInfo.Text = "";
            _tbContactDate.Text = "";
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Löschen betätigt
        /// </summary>
        protected void _btnDelContact_Click(object sender, EventArgs e)
        {
            // Ist ein Kontakt selektiert
            if (_lbContact.SelectedItem != null)
            {
                _lbContact.Items.Remove(_lbContact.SelectedItem);
            }
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Speichern betätigt
        /// </summary>
        protected void _btnSavePerson_Click(object sender, EventArgs e)
        {
            // Code zum Speichern der Personendaten
        }
    }
}