﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das Wizard-Steuerelement.
    /// </summary>
    public partial class WebWizard : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - Wizard");
            ((Demo)Master).KeepNodeOpen("Web/Polynominal");
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Hinzufügen
        /// </summary>
        protected void _btnWizardContactAdd_Click(object sender, EventArgs e)
        {
            // Kontakteingabe in die Liste übertragen
            _lbWizardContact.Items.Add(string.Format("{0} - {1}",
                _tbWizardContactDate.Text,
                _tbWizardContactInfo.Text));
            _tbWizardContactDate.Text = "";
            _tbWizardContactInfo.Text = "";
        }

        /// <summary>
        /// Ereignishandler: Schaltfläche Löschen 
        /// </summary>
        protected void _btnWizardContactDelete_Click(object sender, EventArgs e)
        {
            // Ist ein Kontakt selektiert
            if (_lbWizardContact.SelectedItem != null)
            {
                _lbWizardContact.Items.Remove(_lbWizardContact.SelectedItem);
            }
        }
    }
}