﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Drawing;

namespace WeroSoft.Samples
{
    public partial class WebCheckBox : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - CheckBox");
            ((Demo)Master).KeepNodeOpen("Web/Simple");
        }

        /// <summary>
        /// Definiert die Farbe Anzeigefläche.
        /// </summary>
        /// <param name="objPanel">Anzeigefläche.</param>
        /// <param name="cbRed">Checkbox Farbe rot.</param>
        /// <param name="cbGreen">Checkbox Farbe grün.</param>
        /// <param name="cbBlue">Checkbox Farbe blau.</param>
        private void SetColor(Panel objPanel, CheckBox cbRed, CheckBox cbGreen, CheckBox cbBlue)
        {
            objPanel.BackColor = Color.FromArgb(
                cbRed.Checked ? 255 : 0,
                cbGreen.Checked ? 255 : 0,
                cbBlue.Checked ? 255 : 0);
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren eines der drei Kontrollkästchens in der Auswahl 1.
        /// </summary>
        protected void RadioButtonSelection1_CheckedChanged(object sender, EventArgs e)
        {
            SetColor(_pnlSelection1, _cbSelection1Red, _cbSelection1Green, _cbSelection1Blue);
            _pgrDemo.AssociatedControlID = ((Control)sender).ID;
            _pgrDemo.ReInitialize();
        }

        /// <summary>
        /// Ereignisbehandlung für das Definieren eines der drei Kontrollkästchens in der Auswahl 2.
        /// </summary>
        protected void RadioButtonSelection2_CheckedChanged(object sender, EventArgs e)
        {
            SetColor(_pnlSelection2, _cbSelection2Red, _cbSelection2Green, _cbSelection2Blue);
            _pgrDemo.AssociatedControlID = ((Control)sender).ID;
            _pgrDemo.ReInitialize();
        }
    }
}