﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Demo für das CustomValidator-Steuerelement.
    /// </summary>
    public partial class WebValidatorCustom : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Definiert den Titel und den offenen Menüeintrag
            ((Demo)Master).SetDemoTitle("Web - CustomValidator");
            ((Demo)Master).KeepNodeOpen("Web/UserSupport");
        }

        /// <summary>
        /// Ereignisbehandlung zum Validieren des Kennworts
        /// </summary>
        protected void Password_ServerValidate(object source, ServerValidateEventArgs args)
        {
            // Lokale Daten
            bool bUppercase = false;
            bool bLowercase = false;
            bool bNumeric = false;

            foreach (char chPos in _tbPassword.Text)
            {
                if (char.IsLetter(chPos) && char.IsUpper(chPos))
                {
                    bUppercase = true;
                }
                if (char.IsLetter(chPos) && char.IsLower(chPos))
                {
                    bLowercase = true;
                }
                if (char.IsNumber(chPos))
                {
                    bNumeric = true;
                }
            }

            if (bUppercase && bLowercase && bNumeric)
            {
                if (_tbPassword.Text.Length < 5)
                {
                    args.IsValid = false;
                    return;
                }
            }
            else
            {
                args.IsValid = false;
                return;
            }
        }
    }
}