﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für das Benutzersteuerelement zur Adresseingabe.
    /// </summary>
    public partial class AddressDefinition : System.Web.UI.UserControl
    {
        /// <summary>
        /// Wird ausgelöst, wenn die Daten gespeichert wurden.
        /// </summary>
        public event EventHandler<CwlbAddressEventArgs> Save = delegate { };

        /// <summary>
        /// Liefert oder definiert die Addressdaten im Steuerelement.
        /// </summary>
        public CwlbAddress Address
        {
            get
            {
                return new CwlbAddress
                {
                    Name = _tbName.Text,
                    FirstName = _tbFirstName.Text,
                    Street = _tbStreet.Text,
                    City = _tbCity.Text
                };
            }
            set
            {
                _tbName.Text = value.Name;
                _tbFirstName.Text = value.FirstName;
                _tbStreet.Text = value.Street;
                _tbCity.Text = value.City;
            }
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Elements.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        /// <summary>
        /// Ereignisbehandlung beim Betätigen der Schaltfläche speichern.
        /// </summary>
        protected void ButtonSave_Click(object sender, EventArgs e)
        {
            Save(this, new CwlbAddressEventArgs
            {
                Address = Address
            });
        }
    }
}