﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Adresse für die benützung mit Benutzersteuerelementen.
    /// </summary>
    public class CwlbAddress
    {
        /// <summary>
        /// Liefert oder definiert den Namen.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Liefert oder definiert den Vornamen.
        /// </summary>
        public string FirstName { get; set; }

        /// <summary>
        /// Liefert oder definiert die Strasse.
        /// </summary>
        public string Street { get; set; }

        /// <summary>
        /// Liefert oder definiert den Ort.
        /// </summary>
        public string City { get; set; }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbAddress.
        /// </summary>
        public CwlbAddress()
        {
        }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbAddress.
        /// </summary>
        public CwlbAddress(string strFirstName, string strName, string strStreet, string strCity)
        {
            FirstName = strFirstName;
            Name = strName;
            Street = strStreet;
            City = strCity;
        }
    }

    /// <summary>
    /// Ereignisargument für die Übermittlung einer Adresse.
    /// </summary>
    public class CwlbAddressEventArgs : EventArgs
    {
        public CwlbAddress Address { get; set; }
    }
}