﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für das Benutzersteuerelement Adresse mit Vorlage.
    /// </summary>
    public partial class TemplatedAddressDefinition : System.Web.UI.UserControl
    {
        /// <summary>
        /// Liefert die Adresse, die editiert werden kann.
        /// </summary>
        public CwlbAddress Address { get; private set; }

        /// <summary>
        /// Liefert oder definiert die Vorlage für das UI.
        /// </summary>
        [TemplateContainer(typeof(CwlbAddressContainer))]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ITemplate LayoutTemplate { get; set; }

        /// <summary>
        /// Ereignisbehandlung für die Initialisierung.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Init(object sender, EventArgs e)
        {
            // Löscht alle enthaltenen Elemente im Platzhalter
            _plchAddressTemplate.Controls.Clear();

            // Prüft ob ein Layout vorhanden ist und gibt eine Fehlermeldung aus wenn nicht.
            if (LayoutTemplate == null)
            {
                _plchAddressTemplate.Controls.Add(new LiteralControl("Es ist keine Vorlage definiert."));
            }
            else
            {
                // Definieren des Datencontainers und übernehmen der Vorlage in den Platzhalter
                if (Address == null)
                {
                    Address = new CwlbAddress();
                }
                CwlbAddressContainer objAddressContainer = new CwlbAddressContainer(Address);
                LayoutTemplate.InstantiateIn(objAddressContainer);
                _plchAddressTemplate.Controls.Add(objAddressContainer);
            }
        }
    }
}