﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Demo eines Handlers
    /// </summary>
    public partial class GraphicsEntry : System.Web.UI.Page
    {
        /// <summary>
        /// Ereignisbehandlung beim Laden der Seite.
        /// </summary>
        protected void Page_Load(object sender, EventArgs e)
        {
            // Prüfe PostBack
            if (!IsPostBack)
            {
                // Initialisierung der Daten
                _tbXMin.Text = string.Format("{0:N2}", Math.PI * -1.0);
                _tbXMax.Text = string.Format("{0:N2}", Math.PI);
                _tbFrequency.Text = "1.0";
                _tbAmplitude.Text = "150.0";
                _imgGraph.Visible = false;

                // Befülle Auswahl
                _ddlTyp.Items.Add(new ListItem("Eigener HTTP-Handler", "1"));
                _ddlTyp.Items.Add(new ListItem("Genereller HTTP-Handler", "2"));
            }
            else
            {
                // Speichere Werte in der Sitzung
                Session["XMIN"] = _tbXMin.Text;
                Session["XMAX"] = _tbXMax.Text;
                Session["FREQ"] = _tbFrequency.Text;
                Session["AMPL"] = _tbAmplitude.Text;

                // Typ auswählen
                switch (_ddlTyp.SelectedValue)
                {
                    case "1":
                        _imgGraph.ImageUrl = string.Format("~/GraphicsFactory.wlbf?XMin={0}&XMax={1}&Freq={2}&Ampl={3}",
                            _tbXMin.Text, _tbXMax.Text, _tbFrequency.Text, _tbAmplitude.Text);
                        _imgGraph.Visible = true;
                        break;
                    case "2":
                        _imgGraph.ImageUrl = string.Format("~/Handler/GraphicsFactory.ashx?XMin={0}&XMax={1}&Freq={2}&Ampl={3}",
                            _tbXMin.Text, _tbXMax.Text, _tbFrequency.Text, _tbAmplitude.Text);
                        _imgGraph.Visible = true;
                        break;
                }
            }
        }
    }
}