﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WeroSoft.Samples
{
    [ParseChildren(true)]
    public class TemplatedAddressWebServerControl : WebControl, INamingContainer
    {
        private TemplateAddressContainer _objTemplateContainer;

        [TemplateContainer(typeof(TemplateAddressContainer))]
        [PersistenceMode(PersistenceMode.InnerProperty)]
        public ITemplate LayoutTemplate { get; set; }

        [System.Security.Permissions.PermissionSet(System.Security.Permissions.SecurityAction.Demand, Name = "FullTrust")]
        protected override void DataBind(bool raiseOnDataBinding)
        {
            EnsureChildControls();
            base.DataBind(raiseOnDataBinding);
        }

        public string Name { get; set; }
        public string FirstName { get; set; }
        public string Street { get; set; }
        public string City { get; set; }

        protected override void CreateChildControls()
        {
            Controls.Clear();

            if (LayoutTemplate != null)
            {
                _objTemplateContainer = new TemplateAddressContainer(this);
                _objTemplateContainer.Name = Name;
                _objTemplateContainer.FirstName = FirstName;
                _objTemplateContainer.Street = Street;
                _objTemplateContainer.City = City;
                LayoutTemplate.InstantiateIn(_objTemplateContainer);
                Controls.Add(_objTemplateContainer);
            }
            else
            {
                Controls.Add(new LiteralControl("Keine Vorlage vorhanden."));
            }
        }
    }
}
