﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace WeroSoft.Samples
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    /// <summary>
    /// Anwendungsklasse der ASP.NET MVC Anwendung
    /// </summary>
    public class MvcApplication : System.Web.HttpApplication
    {
        /// <summary>
        /// Registriert die definierten Weiterleitungen der Anwendung.
        /// </summary>
        /// <param name="routes"></param>
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Employee",                     // Name der Weiterleitung
                "Employee/{action}",            // URL mit Parameter
                new                             // Parameter Standardwerte
                {                              
                    controller = "Person",
                    action = "Index",
                    id = UrlParameter.Optional
                });

            routes.MapRoute(
                "Default",                      // Name der alten Weiterleitung
                "{controller}/{action}/{id}",   // URL mit Parameter
                new                             // Parameter Standardwerte
                {
                    controller = "Person",
                    action = "Index",
                    id = UrlParameter.Optional
                });

        }

        /// <summary>
        /// Löst die Registration der Weiterleitungen beim Start der Anwendung aus
        /// </summary>
        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();
            RegisterRoutes(RouteTable.Routes);
        }
    }
}