﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Collections.ObjectModel;

namespace WeroSoft.Samples.Models
{
    /// <summary>
    /// Stellt das Datenmodell dar.
    /// </summary>
    public sealed class CwlbDataContext
    {
        /// <summary>
        /// Liefert den aktuellen Datenkontext der Anwendung.
        /// </summary>
        public static CwlbDataContext Current { get; private set; }

        /// <summary>
        /// Liste der Personen
        /// </summary>
        private List<CwlbPerson> _cobjPersons = new List<CwlbPerson>();

        /// <summary>
        /// Liefert eine unveränderliche Liste mit Personen.
        /// </summary>
        public ReadOnlyCollection<CwlbPerson> Persons
        {
            get
            {
                return new ReadOnlyCollection<CwlbPerson>(_cobjPersons);
            }
        }

        /// <summary>
        /// Erstellt das Modell
        /// </summary>
        static CwlbDataContext()
        {
            Current = new CwlbDataContext();
        }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbDataContract.
        /// </summary>
        private CwlbDataContext()
        {
            _cobjPersons.Add(new CwlbPerson
            {
                Id = "001",
                Name = "Albligen",
                FirstName = "Peter",
                Address = "Albisweg 34\r\nCH-5678 Berg",
                Email = "p.a@sample.de",
                Birthdate = new DateTime(1985, 12, 23)
            });
            _cobjPersons.Add(new CwlbPerson
            {
                Id = "002",
                Name = "Zerzuben",
                FirstName = "Angela",
                Address = "Gartenweg 4\r\nCH-3000 Bern",
                Email = "a.z@sample.de",
                Birthdate = new DateTime(1980, 2, 3)
            });
            _cobjPersons.Add(new CwlbPerson
            {
                Id = "003",
                Name = "Tanzen",
                FirstName = "Judith",
                Address = "Tanzdiele\r\nCH-1000 Lausanne",
                Email = "j.t@sample.de",
                Birthdate = new DateTime(1991, 1, 17)
            });
        }
    }
}