﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WeroSoft.Samples.Controllers
{
    /// <summary>
    /// Interaktionslogik für die Demonstration von partiellen Views.
    /// </summary>
    public class DemoPartialController : Controller
    {
        /// <summary>
        /// Indexseite
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            return View();
        }

        /// <summary>
        /// Herstellung der Best of-Liste.
        /// </summary>
        /// <returns>Liefert eine Liste der besten Produkte.</returns>
        [ChildActionOnly]
        public ActionResult BestOfList()
        {
            return PartialView(new List<string> 
            { "Der Schaumschläger",
              "Der Feldstecher", 
              "Die Durchschlagende", 
              "Der Erhebende", 
              "Der Öffnende"
            });
        }

        /// <summary>
        /// Herstellung der Hit-Liste.
        /// </summary>
        /// <returns>Liefert eine Liste der aktuell am meisten verkauften Produkte.</returns>
        [ChildActionOnly]
        public ActionResult HitList()
        {
            return PartialView(new List<string> 
            { "Der Sommerhit",
              "Der Zaubernde", 
              "Die gute Fee", 
              "Das Märchenhafte"
            });
        }
    }
}
