﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode der Klasse CwlbDemoAutoCompleteBox.
    /// </summary>
    public partial class CwlbDemoAutoCompleteBox : UserControl
    {
        /// <summary>
        /// Liefert die Auswahl der Demo AutoCompletionBox
        /// </summary>
        public List<string> Colors
        {
            get
            {
                return new List<string>
                {
                    "Bordeauxrot",
                    "Beige",
                    "Blau",
                    "Braun",
                    "Cyan",
                    "Dunkelblau",
                    "Dunkelgrün",
                    "Gelb",
                    "Gold",
                    "Grau",
                    "Grün",
                    "Hellgelb",
                    "Hellgrau",
                    "Hellgrün",
                    "Himmelblau",
                    "Lachs",
                    "Mint",
                    "Nachblau",
                    "Navyblau",
                    "Pink",
                    "Rot",
                    "Rosa",
                    "Schwarz",
                    "Silber",
                    "Stahlblau",
                    "Türkis",
                    "Violett",
                    "Weinrot",
                    "Weiss",
                    "Zinoberrot"
                };
            }
        }

        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbDemoAutoCompleteBox.
        /// </summary>
        public CwlbDemoAutoCompleteBox()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Laden des Fensters.
        /// </summary>
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.Contains.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.ContainsCaseSensitive.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.ContainsOrdinal.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.ContainsOrdinalCaseSensitive.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.Equals.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.EqualsCaseSensitive.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.EqualsOrdinalCaseSensitive.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.None.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.StartsWith.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.StartsWithCaseSensitive.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.StartsWithOrdinal.ToString());
            _cbAutoCompletionMode.Items.Add(AutoCompleteFilterMode.StartsWithOrdinalCaseSensitive.ToString());

            _cbAutoCompletionMode.SelectedIndex = 0;
        }

        /// <summary>
        /// Ereignisbehandlung beim Verändern der Auswahl.
        /// </summary>
        private void Mode_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            _acbDemo.FilterMode = (AutoCompleteFilterMode)Enum.Parse(typeof(AutoCompleteFilterMode), _cbAutoCompletionMode.SelectedItem.ToString(), true);
        }

        /// <summary>
        /// Ereignisbehandlung beim Einschalten des Modus IsTextCpmpletionMode
        /// </summary>
        private void TextComplete_Checked(object sender, RoutedEventArgs e)
        {
            _acbDemo.IsTextCompletionEnabled = true;
        }

        /// <summary>
        /// Ereignisbehandlung beim Einschalten des Modus IsTextCpmpletionMode
        /// </summary>
        private void TextComplete_Unchecked(object sender, RoutedEventArgs e)
        {
            _acbDemo.IsTextCompletionEnabled = false;
        }
    }
}
