﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Net.NetworkInformation;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Datei CwlbDemoUpdateCheck.xaml.
    /// </summary>
    public partial class CwlbDemoUpdateCheck : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanz der Klasse CwlbDemoUpdateCheck.
        /// </summary>
        public CwlbDemoUpdateCheck()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung beim Anfordern einer Updateprüfung.
        /// </summary>
        private void ButtonUpdate_Clicked(object sender, RoutedEventArgs e)
        {
            if (NetworkInterface.GetIsNetworkAvailable())
            {
                App.Current.CheckAndDownloadUpdateCompleted += 
                    new CheckAndDownloadUpdateCompletedEventHandler(Current_CheckAndDownloadUpdateCompleted);
                App.Current.CheckAndDownloadUpdateAsync();
            }
            else
            {
                MessageBox.Show(
                    "Es ist kein Netzwerkanschluss vorhanden. " +
                    "Die Prüfung nach Update kann somit nicht erfolgen.");
            }
        }

        /// <summary>
        /// Ereignisbahndlung beim Beenden der Updateprüfung.
        /// </summary>
        void Current_CheckAndDownloadUpdateCompleted(object sender, CheckAndDownloadUpdateCompletedEventArgs e)
        {
            // Prüfen, ob ein Update vorhanden ist.
            if (e.UpdateAvailable)
            {
                MessageBox.Show(
                    "Es ist ein Update verfügbar. Sie müssen die Anwendung " +
                    "stoppen und neu starten um das Update zu aktivieren");
            }
            // Prüfen, ob ein Plattform-Versionsfehler vorhanden ist.
            else if (e.Error != null && e.Error is PlatformNotSupportedException)
            {
                MessageBox.Show(
                    "Es ist ein neues Update verfügbar. Allerdings benötigt die " +
                    "neue Version auch eine neue Silverlight-Version. Sie können " +
                    "die neue Silverlight-Version unter ...  herunterladen.");
            }
            // Anderer Fehler ausgeben
            else if (e.Error != null)
            {
                MessageBox.Show(e.Error.Message);
            }
            // Kein Fehler und kein Update.
            else
            {
                MessageBox.Show("Es ist kein Update verfügbar");
            }
        }
    }
}
