﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Reflection;
using System.Windows.Browser;

namespace WeroSoft.Samples
{
    /// <summary>
    /// Interaktionscode für die Datei MainPage.xaml
    /// </summary>
    public partial class MainPage : UserControl
    {
        /// <summary>
        /// Initialisiert eine neue Instanzd er Klasse MainPage.
        /// </summary>
        public MainPage()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Ereignisbehandlung für das Anzeigen des DemoDialoges.
        /// </summary>
        private void ShowDialog(object sender, MouseButtonEventArgs e)
        {
            // Erstellen und Initialisieren des Dialogfeldes
            CwlbDemoDialog dlgDemo = new CwlbDemoDialog();
            dlgDemo.OverlayBrush = new SolidColorBrush(Color.FromArgb(25, 0, 50, 50));
            dlgDemo.HasCloseButton = false;
            // Registrieren der Ereignisbehandlung für das Beenden des Dialogfeldes
            dlgDemo.Closing += new EventHandler<System.ComponentModel.CancelEventArgs>(DemoDialog_Closing);
            // Dialog anzeigen
            dlgDemo.Show();
        }

        /// <summary>
        /// Ereignisbehandlung für das Beenden des Dialogesfeldes.
        /// </summary>
        void DemoDialog_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            // Prüfen des Resultats
            if (((CwlbDemoDialog)sender).DialogResult.GetValueOrDefault())
            {
                MessageBox.Show("Die Schaltfläche 'OK' wurde betätigt");
            }
            else
            {
                MessageBox.Show("Die Schaltfläche 'Abbrechen' wurde betätigt");
            }
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für das Steuerelement AutoCompleteBox.
        /// </summary>
        private void ShowDemoAutoCompelteBox(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoAutoCompleteBox();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für das Steuerelement HyperLinkButton.
        /// </summary>
        private void ShowDemoHyperLinkButton(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoHyperlinkButton();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für das Steuerelement MultiScaleImage.
        /// </summary>
        private void ShowDemoMultiScaleImage(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoMultiScaleImage();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für das Steuerelement DataPager.
        /// </summary>
        private void ShowDemoDataPager(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoDataPager();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo Stil und Vorlagen
        /// </summary>
        private void ShowStyleTemplate(object sender, MouseButtonEventArgs e)
        {
            // Erstellen und Initialisieren des Dialogfeldes
            CwlbStyleDemo dlgDemo = new CwlbStyleDemo();
            // Dialog anzeigen
            dlgDemo.Show();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für Browser und PlugIn-Informationen.
        /// </summary>
        private void ShowPlugInAndBrowser(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoPlugInBrowser();
        }

        /// <summary>
        /// Ereignisbehandlung beim Auswählen der Demo für den UpdateCheck.
        /// </summary>
        private void ShowUpdate(object sender, MouseButtonEventArgs e)
        {
            _bdDemo.Child = new CwlbDemoUpdateCheck();
        }
    }
}
